phpAdsNew - ChangeLog


phpAdsNew 2.0.7
			+ Misc changes
			  - 2005-08-25:  Added new database setting to allow connection to the database using sockets  (Matteo)
			  - 2005-09-25:  Rewrote the swf hardcoded link converter, which results in wider compatibility  (Matteo)
			  - 2005-11-05:  Added workaround to guarantee compatibility with PHP 4.4.1 (bug #35067, fixed in 4.4.2)  (Matteo)

			+ Misc bugfixes
			  - 2005-08-25:  Fixed bug which prevented stats-global-clients from working when there were many banners - bug #1267218  (Matteo)
			  - 2005-09-09:  Fixed bug on calculations made during prority compensation (Matteo, thanks to mibus)
			  - 2005-09-26:  Compressed flash banners with version >= 6 were always saved as not compressed after the conversion (Matteo)
			  - 2005-10-16:  Geotargeting wasn't correctly working under some circumstances (Matteo)
			  - 2005-10-20:  GeoIP region for somewhat reason was broken in the last release (Matteo)
			  - 2005-10-31:  Fixed potential incompatibility with mod_security which could block PAN sessionid cookie  (Matteo)
			  - 2005-11-09:  Fixed SQL injection vulnerability with magic_quotes off in lib-session.inc.php  (Matteo)
			  - 2005-11-09:  Fixed multiple full path discolsure vulnerabilities  (Matteo)
			  - 2005-11-12:  Fixed problems with session caused by the recent changes  (Matteo)
			  - 2005-11-14:  Fixed potential HTTP response splitting attacks  (Matteo)


phpAdsNew 2.0.6
			+ Misc changes
			  - 2005-07-11:  Database password is now not mandatory during install, making easier using phpAdsNew on test installs  (Matteo)
			  - 2005-07-11:  Added capability to connect to MySQL using an explicitly named socket  (Matteo)
			  - 2005-07-11:  Removed eval call from XML-RPC invocation to increase security  (Matteo)

			+ Misc bugfixes
			  - 2005-07-06:  The new cookie handling was overwriting $_COOKIES when not necessary, causing troubles e.g. with vBullettin logout - bug #1231476  (Matteo)
			  - 2005-07-11:  An unescaped "&" was present in the bannercode when using local invocation and SQL stored banners - bug #1235074  (Matteo)
			  - 2005-07-11:  Fixed problems when selecting mod_geoip geotracking plug-in in host settings - bug #1235843  (Matteo)
			  - 2005-07-11:  Plain remote invocation wasn't correclty working when adviews logging was disabled  (Matteo)
			  - 2005-07-17:  Fixed local file inclusion security issues - bug #1239473  (Matteo)
			  - 2005-08-05:  Submitting blank block_adviews/clicks in statistics settings was causing an error into config.inc.php - bug #1249803  (Matteo)
			  - 2005-08-16:  Fixed SQL injection vulnerability in lib-view-direct.inc.php, which could also be exploited when using MySQL 4.1+  (Matteo, thanks to Pine Digital Security)
			  - 2005-08-16:  Fixed another XML-RPC vulnerability by upgrading the bundled xmlrpc library  (Matteo, thanks to Stefan Esser)


phpAdsNew 2.0.5
			+ Misc bugfixes
			  - 2005-06-12:  Fixed PHP errors during invocation when the GeoIP configuration data wasn't correctly saved  (Matteo)
			  - 2005-06-13:  Upgrade from 2.0.5-rc1 wasn't working if pack cookies was enabled  (Matteo)
			  - 2005-06-13:  Geotargeting plug-in configuration is now recreated during upgrade  (Matteo)
			  - 2005-06-29:  Fixed Edd Dumbill's XML-RPC library vulnerability backporting the PEAR package fixes  (Matteo, thanks to Stefan Esser and the PEAR XML_RPC team)


phpAdsNew 2.0.5 RC2
			+ Misc changes
			  - 2005-06-06:  Added Half Page 300 x 600 IAB standard banner size  (Matteo)
			  - 2005-06-07:  Added the capability to enable transparency in Flash banners  (Matteo)

			+ Misc bugfixes
			  - 2005-05-13:  Optimized days running check during priority and autotargeting calculations  (Matteo, thanks to joce)
			  - 2005-06-06:  Zoneid parameter wasn't correctly handled by the pop-up code - bug #1214452  (Matteo, thanks to Brainiac)
			  - 2005-06-07:  New unified plugin wasn't working with GeoIP region v115 databases and canadian IPs  (Matteo, thanks to Thomas J Mather)
			  - 2005-06-08:  Non-US/CA regions delivery limitations weren't available with GeoIP city database  (Matteo)
			  - 2005-06-08:  Country names and US/CA region names were not correctly sorted  (Matteo)


phpAdsNew 2.0.5 RC1
			+ Misc changes
			  - 2005-03-17:  Changed the way phpAdsNew sends and receives cookies to avoid cookie overpopulation  (Matteo)
			  - 2005-05-04:  Added incremental cookies to avoid the same cookie being wrongly overwritten during high concurrency  (Matteo)
			  - 2005-05-04:  Added city, worldwide region, organization, ISP, netspeed, postal-, DMA- area code delivery limitations  (Matteo)
			  - 2005-05-04:  Rewrote MaxMind GeoIP plugin to support all the available database types and newly added delivery limitations  (Matteo)
			  - 2005-05-04:  Added an option to choose between the standard and the recently added way to handle cookies for better backwards compatibility  (Matteo)
			  - 2005-05-12:  Removed old and now useless "backwards compatibility" directory, which is also creating problems on some platforms (Matteo)

			+ Misc bugfixes
			  - 2005-03-17:  Outgoing e-mails did not comply to RFCs when no charset was set in the language file  (Matteo)
			  - 2005-03-31:  Moving local SQL stored banners to web stored was broking delivery until cache wasn't rebuilt  (Matteo)
			  - 2005-04-05:  Enhanced new cookie handling to better deal with concurrent access, which previously didn't correctly work  (Matteo)
			  - 2005-04-16:  Added workaround to make maintenance working if the cronjob is started a few seconds before the scheduled time  (Matteo)
			  - 2005-04-22:  Example XML-RPC invocation class could return cached banners under some circumstances - bug #1174890  (Matteo, thanks to Colin Viebrock)
			  - 2005-04-22:  Fixed possibly uninitialized variable in lib-remotehost - bug #1187931  (Matteo)
			  - 2005-04-24:  Additional ranges ("last month", "this year" and "last year") are now available when showing statistics  (Matteo, thanks to Colin Viebrock)
			  - 2005-04-24:  FTP stored banners parameters weren't correctly stored as urlencoded - bug #1170590  (Matteo)
			  - 2005-04-24:  Flash hardcoded link converter didn't work with PHP 4.3.5+ and FTP stored banners, due to a PHP behaviour change - bug #1170584  (Matteo)
			  - 2005-05-04:  Old settings weren't correctly overwritten during upgrade when necessary  (Matteo)
			  - 2005-05-06:  Merged organization and ISP delivery limitations because the database has the same format  (Matteo)
			  - 2005-05-12:  Javascript remote invocation didn't correctly deal with multibyte encodings  (Matteo)
			  - 2005-05-12:  Added missing Retry button when getting fatal errors during upgrade  (Matteo)
 

phpAdsNew 2.0.4-pr2
			+ Misc bugfixes
			  - 2005-03-14:  Texts under banners and text ads were not accepting HTML tags anymore  (Matteo)
			  - 2005-03-14:  Fixed multiple full path disclosure security threats  (Matteo, thanks to cXIb8O3)
			  - 2005-03-14:  Fixed cross site scripting vulnerability in adframe.php  (Matteo, thanks to cXIb8O3)


phpAdsNew 2.0.4-pr1
			+ Misc bugfixes
			  - 2005-03-07:  Non-latin1 alt/status texts on JS invocation were broken due to recent changes  (Matteo)


phpAdsNew 2.0.4
			+ Misc bugfixes
			  - 2005-02-10:  HTML banners containing script tags were generating JS errors on IE  (Matteo)
			  - 2005-02-22:  Added missing Retry button when getting fatal errors during install  (Matteo)
			  - 2005-02-24:  Converted SWF links were lost after updating banner properties - bug #1118544  (Matteo)
			  - 2005-02-25:  Status text containing quotes was causing JS errors - bug #1150893  (Matteo)
			  - 2005-02-25:  Rewrote output functions to correctly handle HTML entities in names or descriptions - bug #639011  (Matteo)
			  - 2005-03-03:  Added warning when register_log_arrays PHP5 confiugration parameter is disabled  (Matteo)
			  - 2005-03-03:  Removed default charset, which was breaking browsers' automatic charset recognition (Matteo)


phpAdsNew 2.0.3
			+ Misc bugfixes
			  - 2005-01-27:  Content-disposition header was wrong in generated reports, resulting in a mangled filename - bug #1067963  (Matteo)
			  - 2005-01-29:  There was an error in the queries used when generating reports with compact stats enabled  (Matteo)
			  - 2005-02-04:  Fixed incompatibilites with IE and Flash banners caused by post-Eolas handling  (Matteo)
			  - 2005-02-04:  Fixed problems with IE when using JS invocation with non-latin status/alt texts  (Matteo)
			  - 2005-02-05:  Fixed problems with settings pages not displayed when using russian-cp1251 translation  (Matteo, thanks to Pawel Golovin)
			  - 2005-02-05:  Added default charset (iso-8859-1) into english/default.lang.php that is always included (Matteo)
			  - 2005-02-05:  Added proper header encoding for outgoing e-mails, according to RFC 2047 - bug #1037033  (Matteo)
			  - 2005-02-05:  Language limitation was only checking against the first language accepted - bug #1098001  (Matteo)
			  - 2005-02-08:  Client path wasn't stripped from uploaded banner filenames under some circumstances - bug #1118544  (Matteo)



phpAdsNew 2.0.2
			+ Misc changes
			  - 2003-10-20:  Added post-Eolas ActiveX handling for Flash, QuickTime, Real and Shockwave banners... JS REQUIRED NOW!  (Niels)
			  - 2003-10-27:  Added initial support for the new format of the MaxMind GeoIP Region edition database  (Niels)
			  - 2003-10-27:  A major rewrite of adpopup.php  (Niels)
					 - Now compatible with the upcoming IE ActiveX changes
					 - Improved compatibility with untested browsers such as (hopefully) Safari
					 - Tested with IE4, IE5, IE5.5, IE6, NS3, NS4, NS6, NS7, O5, O6, O7, Moz 0.9.2 - Moz 1.5.0 on Windows, IE4.5, IE5 on Mac
					 - Added the ability to center the popup in the middle of the screen
					 - Added the ability to move the popup to coordinates from the bottom right of the screen
					 - Creating a popup with the toolbar visible now works
					 - Creating a popup that appears 'when the page is closed' now also appears when the window is closed
			  - 2003-10-27:  The delivery cache is now split into two for a (hopefully) small speed-up  (Niels)
			  - 2003-11-07:	 Short tags for PHP scripts (<? ?> and <?= ?>) in HTML banners are now allowed when the server allows this for normal PHP scripts  (Niels)
			  - 2003-12-17:  Added content-length to headers to adview.php and adimage.php when image is used from the database  (Niels, thanks to Osma Ahvenlampi)
			  - 2003-12-17:	 Improved compatibility of the Simple layer style. Improved support for Opera, Mozilla and IE non-quirks mode.  (Niels)

			+ Misc bugfixes
			  - 2003-10-07:  Fixed referer delivery limitation when using JavaScript  (Niels)
			  - 2003-10-08:  Added missing comma to P3P header  (Niels)
			  - 2003-10-09:  Added support for stats conversion using Mozilla  (Niels)
			  - 2003-10-20:  The 'check hardcoded links' checkbox on the 'Add new banner' page is now always visible for Opera and Netscape  (Niels)
			  - 2003-10-20:  Added phpAds_path to require inside lib-xmlpcs.inc.php  (Niels)
			  - 2003-10-20:  Deactivated banners are no longer automatically reactivated when editing it's properties  (Niels)
			  - 2003-10-21:  Increased the length of the target field from 16 to 24 to get better compatibility with RealPlayer  (Niels)
			  - 2003-10-27:  Fixed PHP5 warning during install  (Niels)
			  - 2003-10-27:  Delivery cache is now rebuild after editing properties of a zone  (Niels)
			  - 2003-10-27:  Added a missing token to the default P3P compact header  (Niels)
			  - 2003-10-28:  Moving zones to another publisher didn't work on the Advanced and Invocationcode pages  (Niels)
			  - 2003-11-07:  XML-RPC transfers from server to client are now base64 encoded to prevent XML errors with HTML entities  (Niels)
			  - 2003-11-07:  Fixed a PHP parsing problem in HTML banners which used multiple <?php ?> sections  (Niels)
			  - 2003-11-17:	 Fakecron script didn't correctly work on some setups at 08 and 09 AM because of a wrong implicit octal to decimal conversion  (Matteo)
			  - 2003-11-19:	 Banner upload didn't always work with safe mode and open_basedir restrictions, even when using misc/tmp workaround  (Matteo)
			  - 2003-12-17:  Fixed a problem where the settings were lost when logging in directly to settings page  (Niels)
			  - 2004-01-18:	 Fixed GeoIP module to handle extended country codes (A1, A2, O1) - bug #878910  (Matteo)
			  - 2004-01-18:  Fixed wrong strpos syntax during proxy detection - bug #874467  (Matteo)
			  - 2004-01-18:  Flash hardcoded links conversion checkbox didn't appear when the path had "swf" in it - bug #873195  (Matteo)
			  - 2004-02-19:  Raised max gui_link_compact_limit value by changing its type to integer  (Matteo)
			  - 2004-03-02:  Converted URLs were persistant after re-uploading a new Flash banner - bug #887893  (Niels)
			  - 2004-03-02:  Fixed a bug in the Javascript Row selection code, which prevented FireFox users from selecting a country, continent, language or region - bug #905052  (Niels)
			  - 2004-03-02:  Activate and Expiration date of a campaign was not handled properly in some cases - bug #883697  (Niels)
			  - 2004-03-08:  Flash hardcoded links converter didn't recognize https:// links - bug #911919  (Matteo, thanks to M.Shumackov)
			  - 2004-06-18:  Campaign blocking wasn't working in Javascript remote invocation with register_globals off  (Matteo)
			  - 2004-08-17:  Fixed warnings that could show on Windows platforms in lib-expiration.inc.php - bug #1006617  (Matteo)
			  - 2004-10-11:  Fixed ordering problems in all the report plug-ins. Ordering was wrongly dependent on date style  (Matteo)
			  - 2004-10-11:  Banner selection linking method wasn't working when displayed in compact version  (Matteo)
			  - 2004-10-13:  History wasn't available with verbose stats when no adviews are logged  (Matteo)
			  - 2004-10-13:  Clicks detail wasn't always shown in mail reports when the campaign had no adview  (Matteo)
			  - 2004-12-21:  Prevented HTTP headers injection in adclick.php  (Matteo, thanks to Tem)


phpAdsNew 2.0.1		* Skipped


phpAdsNew 2.0
			+ Misc changes
			  - 2003-08-19:  Added PHP5 check and warnings during install  (Matteo)
			  - 2003-08-22:  Optimized in the main stats page and client, campaign, affiliate history  (Matteo)
			  - 2003-08-22:  Added indexes on zoneid fields of stats tables  (Matteo)
			  - 2003-09-10:  Added optional check for dev-builds in currently available product updates  (Matteo)
			  - 2003-09-11:  Added a flag which states if the release is to be considered stable or a development build  (Matteo)
			  - 2003-09-11:  Added automatic enabling of dev-builds product updates when upgrading to a dev-build  (Matteo)
			  - 2003-09-14:  Optimised queries and added date filter to the 'campaign overview', 'Publishers & zones', 'Zone overview' & 'Linked banners overview' pages  (Niels)
			  - 2003-09-26:  Removed dependency on MD5() SQL function when upgrading from a release which didn't store passwords as md5 digest  (Matteo)
			  - 2003-09-29:  Updated copyright information in all the headers  (Niels)
			  - 2003-09-29:  Disabled E_NOTICE warnings because this is going to be the final version... (Niels)

			+ Misc bugfixes
			  - 2003-08-08:  Adviews email warning limit wasn't correctly saved (Matteo)
			  - 2003-08-18:  PHP code parsing in HMTL banners wasn't working as expected - bug #788280   (Matteo)
			  - 2003-09-01:  Fixed possible SQL errors on affiliate, campaign and client history reports   (Matteo)
			  - 2003-09-13:  Fixed E_ALL problems with hardcoded sources in banner-edit.php  (Niels)
			  - 2003-09-13:  Disabled logging of clicks for Flash banners in the admin interface - bug #794495  (Niels)
			  - 2003-09-13:  Direct selection could not retrieve the stored delivery cache, resulting in a full query everytime  (Niels)
			  - 2003-09-14:  Fixed E_ALL warnings in lib-history.inc.php  (Niels)
			  - 2003-09-17:  Fixed E_ALL warning on line 203 of lib-permissions  (Matteo)
			  - 2003-09-24:  Fixed bug in revision check that caused modified file warnings  (Niels)
			  - 2003-09-29:  Added missing CSS definitions to RTL-text stylesheet  (Niels)
			  - 2003-09-29:  &amp;'s are now properly removed from URLs before converting them  (Niels)
			  - 2003-09-29:  Prevented a SQL error on old versions of MySQL when using the Distribution by Size stats  (Niels)


v 2.0rc4.2		+ Misc changes
			  - 2003-07-29:  Created new artwork for the installer  (Niels)
			  - 2003-07-27:  Reordered the install pages  (Niels)
			  - 2003-07-27:  Added integrity check of the files to the installer and updater  (Niels)
                          - 2003-07-27:  Added a check to see if the cache dir is writable to the updater  (Niels)
			  - 2003-07-27:  Added a check to see if magic_quotes_sybase is turned off to the installer and updater  (Niels)
			  - 2003-07-27:  Raised the minumum required version of PHP to 4.0.3  (Niels)

			+ Misc bugfixes
			  - 2003-07-17:  Report were created without delimiters/quotes with register globals off  (Matteo)
			  - 2003-07-20:  Added exceptions to bannerid requirement for banner-activate and banner-delete  (Niels)
			  - 2003-07-23:  Added missing style definitions for banner append to the css file  (Niels)
			  - 2003-07-27:  Fixed Javascript error during form submit on zone-advanced page when using text ads  (Niels)
			  - 2003-07-27:  Appended HTML to a text ad zone wasn't saved at all  (Niels)
			  - 2003-07-29:  The search box is no longer visible during an upgrade  (Niels)


v 2.0rc4.1		+ Misc bugfixes
			  - 2003-07-09:  HTML banner preview wasn't working: it redirected to client-index instead  (Matteo)
			  - 2003-07-09:  Fixed division by zero error in lib-priority that could have been generated on line 886  (Matteo)
			  - 2003-07-09:  Userlog index wasn't working: it caused an endless redirection loop  (Matteo)
			  - 2003-07-10:  Userlog delete didn't work  (Matteo)
			  - 2003-07-11:  Some configuration variables were not correctly set, causing E_ALL notices  (Matteo)
			  - 2003-07-11:  Fixed E_ALL notices in admin-search.php  (Matteo)
			  - 2003-07-11:  Fixed E_ALL notices in local and iframe remote invocation when no banner was return by the delivery engine  (Matteo)
			  - 2003-07-12:  Available languages scan was also searching outside the language dir, giving errors when open_basedir restriction was set   (Matteo)
			  - 2003-07-14:  PHP code inside HTML banners only worked when it was a single line, now multiple lines are supported again  (Niels)


v 2.0rc4		+ Misc changes
			  - 2003-04-13:  Added support for paths in direct selection query string  (Niels)
 			  - 2003-04-13:  Beacon image is now enclosed in a hidden layer to prevent unneeded linewraps after tables and other html tags  (Niels)
			  - 2003-04-16:  Added transparent background and no-border support to simple interstitial layerstyle  (Matteo)
			  - 2003-05-08:  Added ability to use tabs and place quotes around fields in csv report files  (Niels)
			  - 2003-05-20:  Added error message when trying to install phpAdsNew using a PHP version affected by bug #20144, which makes the installer fail  (Matteo)
			  - 2003-05-22:  The banner append code was largely rewritten to allow appending individual banners  (Niels)
			  - 2003-06-09:  Added extra warning to settings page to make sure the location of the geo database isn't provided as an URL  (Niels)
			  - 2003-06-09:  The views and clicks remaining fields on the Campaign properties page now allow bigger values  (Niels)
			  - 2003-06-15:  Added cachebuster to the JavaScript invocation  (Niels)
			  - 2003-06-19:  Added redirection to index pages when required entity id variables (clientid, campaignid, etc.) are missing  (Matteo)
			  - 2003-07-08:	 Added support for the Region Edition database to the MaxMind geotargeting Apache module plugin  (Niels, thanks to TJ)
			

			+ Misc bugfixes
			  - 2003-04-13:  Logging of geodata for Adclicks didn't work properly  (Niels)
			  - 2003-04-13:  Campaigns with zero clicks or zero views remaining were listed as 'unlimited' on the 'Campaign overview' page  (Niels)
			  - 2003-04-13:  On the 'Statistics settings page', 'Log Country' was active even when 'Compact stats' were used. Option should become disabled  (Niels)
			  - 2003-05-06:  Typo in globalisation of weight_old caused an warning when submitting the Campaign Properties page  (Niels)
			  - 2003-05-06:  Bannertext was missing from preview calculation and causing a warning on the Zone Probability page  (Niels)
			  - 2003-05-06:  Trying to generate a report with an empty inventory caused an error, it is now not possible to generate reports in this case, preventing the error  (Niels)
			  - 2003-05-06:  Removed duplicate include of lib-view-query.php from adview.php and lib-view-main.php, it is now only included when really needed  (Niels)
			  - 2003-05-06:  The MySQL port is now always appended to the hostname during connection as a speed optimalisation  (Niels)
			  - 2003-05-06:  The dbQuery() function now automatically connects to the database if there isn't a connection available yet, in order to help prevent unused connections  (Niels, thanks to Doru Petrescu)
			  - 2003-05-06:  Fixed E_ALL error during banner preview when no html was appended to the banner  (Matteo)
			  - 2003-05-07:  Fixed E_ALL error in lib-priority when inactive campaigns were present  (Niels)
			  - 2003-05-13:  When clicking on a banner from the administrator interface, "log=no" parameter was propagated to the destination site  (Matteo)
			  - 2003-05-13:  The english language file is now always included by lib-invocation, because it contains strings that might not yet have been translated  (Niels)
			  - 2003-05-13:  Made some experimental changes to lib-priority, which should make it less agressive  (Niels)
			  - 2003-05-13:  Added extra headers to prevent caching of admin pages by proxy servers	 (Niels)
			  - 2003-05-14:  Added a 10 second timeout to the product updates check, to prevent unwanted error messages  (Niels)
			  - 2003-05-14:  Strings that are stored in config.inc.php can now include single quotes  (Niels)
			  - 2003-05-14:  Reports are no longer send when all the advertisers campaigns are deactivated and no new statistics are available  (Niels)
			  - 2003-05-20:  The global 'Alter HTML...' setting didn't have any effect on newly created HTML banners  (Niels)
			  - 2003-05-23:  Javascript validation of zone width and height in zone-edit didn't work on Mozilla  (Matteo)
			  - 2003-05-24:  When using qmail as MTA reports were displayed incorrectly (no newlines) on some mail clients  (Matteo)
			  - 2003-05-27:  Could not (de)activate banners from client interface, when correct permissions were set  (Niels)
			  - 2003-05-27:  Fixed error when zones were set to private instead of public  (Niels)
			  - 2003-05-27:  It is now not possible anymore to append a banner to itself  (Niels)
			  - 2003-05-31:  Added missing flags and country codes, see bug #746359 for details  (Matteo)
			  - 2003-06-01:  Fixed errors when delivery caching was set to 'none'  (Matteo)
			  - 2003-06-12:  Fixed bug when disabling client reports on client properties page  (Matteo)
			  - 2003-06-19:  Fixed problems when session expired on pages using POST to submit changes, see bug #753517  (Matteo)
			  - 2003-06-28:  Fixed wrong hour detection with one digit hours and a division by zero in lib-priority  (Matteo)
			  - 2003-06-29:  After adding a HTML banner, the target of an <area> tag will now also honour the destination frame set on the banner properties page  (Niels)
			  - 2003-06-29:  If a HTML banner is added without a <a> tag, but with an <iframe>, <object> or <script> tag, phpAdsNew won't add a link around the HTML banner  (Niels)
			  - 2003-06-29:  Beacon image is now completely hidden, so it won't affect blocks (ie. <table>) before it  (Niels)
			  - 2003-07-01:  Fixed output buffering/IE bug on generated graphs when ob_gzhandler was set  (Matteo)
			  - 2003-07-03:  Admin password wasn't saved as md5 when upgrading from a pre-configmanager release  (Matteo)
			  - 2003-07-03:  Generating an invocation code, then switching to XML-RPC invocation would empty the code-box  (Matteo)
			  - 2003-07-08:  Fixed bug in MaxMind GeoIP Region plugin which caused a fatal error when country wasn't detected for some reason  (Niels)
			  - 2003-07-08:  Referer delivery limitation did not work with JavaScript invocation  (Niels)


v 2.0rc3		+ Added a cron replacement for users who don't have access to the cron utility for scheduling the maintenance script  (Niels, 2003-01-14)
			+ The database is now checked after an update to make sure the update was succesful. If not an error is shown and the can retry to update  (Niels, 2003-01-15)
			+ phpAdsNew now uses many newly designed icons, also other icons have been updated to match the new icons  (Niels, 2003-02-03)
			+ Updated some of the user-interface, in particular the error messages and help screens  (Niels, 2003-02-03)
			+ It is now possible to append popups and interstitials to individual banners  (Niels, 2003-02-12)
			+ Added support for the MaxMind GeoIP Region Edition database  (Niels, 2003-02-24)
			
			+ Misc changes
			  - 2003-01-12:  Added info about the current version on the Available Updates page  (Niels)
			  - 2003-01-12:  Added flag for Cape Verde  (Niels)
			  - 2003-01-12:  Added PHP code and variable parsing to HTML banner preview  (Niels)
			  - 2003-01-13:  Added variable parsing to external banner preview  (Niels)
			  - 2003-01-14:  Added support for Safari to the browser delivery limitation and adlayer browser detection  (Niels)
			  - 2003-01-21:  All user and admin passwords are now stored as md5 hashes  (Niels)
			  - 2003-01-21:  If an advertiser or publisher wants to change his password he now has to supply his old password and enter the new password twice  (Niels)
			  - 2003-01-22:  <a></a> tags are now hidden from the visitor if no destination URL is specified  (Niels)
			  - 2003-01-22:  Status text is now also shown when the visitor moves his mouse over the text below the banner  (Niels)
			  - 2003-01-22:  If plain remote invocation is used and no destination URL is specified, adclick will now redirect back to the originating webpage  (Niels)
			  - 2003-01-22:  If plain remote invocation is used and cookies are disabled, adclick will now redirect back to the originating webpage  (Niels)
			  - 2003-02-03:  Added the ability to preview banners from the zone probability page  (Niels)
			  - 2003-02-07:  Added automatic filtering of private IP addresses passed as a proxy header  (Matteo)
			  - 2003-02-09:  Added warning when weight or target isn't set on campaign properties page  (Niels)
			  - 2003-02-11:  Added HTTP referer delivery limitation; it's working with local, js and xmlrpc invocations only  (Matteo)
			  - 2003-02-12:  Iframes, XML-RPC and plain remote invocation are no longer used by default  (Niels)
			  - 2003-02-13:  Added some info text if a campaign was deactivated because its weight is null  (Matteo)
			  - 2003-02-18:  Added option to lib-graph to draw graphs with only one scale, useful e.g. for targetstats  (Matteo)
			  - 2003-02-21:  Raised minimum requirements for phpAdsNew to PHP 4.0.1 or higher  (Niels)
			  - 2003-02-24:  Changed handling of geotargeting limitations when the location couldn't be detected  (Niels)
			  - 2003-02-25:  Added dbms version when displaying query errors  (Matteo)
			  - 2003-02-25:  Added flag for Micronesia  (Niels)
			  - 2003-03-18:  When linking two popup or interstitial zones the dimensions of the zone are now ignored  (Niels)
			  - 2003-03-18:  Added extra options to the popup invocation, which allow you to control the settings of the window in which the popup is opened  (Niels)
			  - 2003-03-19:	 Added support for using an external URL as a HTML banner (just leave the HTML field empty an set a destination URL)  (Niels)
			  - 2003-03-19:  Added a new variable called {targeturl=} to HTML banners. Usage: {targeturl=}http://www.something.com instead of {targeturl:http://www.something.com}  (Niels)
			  - 2003-04-01:  Added more debug info to autotargeting process  (Matteo)

			+ Misc bugfixes
			  - 2003-01-13:  If a zero was used in a random variable (ie. random:10) it wasn't replaced  (Niels)
			  - 2003-01-13:  If a random or timestamp variable was used in the destination URL of a HTML banner it wasn't replaced  (Niels)
			  - 2003-01-13:  Random variable replacement larger than 9 wasn't working at all for external banners when using plain remote invocation  (Niels)
			  - 2003-01-14:  Konqueror browser detection in adlayer wasn based on a very outdated useragent, now fixed  (Niels)
			  - 2003-01-14:  If register_globals was turned on and cookies were favored by variable_order, the value of a cookie overwrote a GET or POST variable with the same name  (Niels)
			  - 2003-01-14:  Priority wasn't recalculated during an update due to a typo  (Niels)
			  - 2003-01-16:  System unavailable message wasn't shown on publisher login during upgrade process  (Matteo)
			  - 2003-01-19:  If a setting in the config.inc.php file was updated which previously included a semi-colon the old value wasn't replaced correctly  (Niels)
			  - 2003-01-19:  After updating from Beta 6.1 or earlier some default values were still considered valid, resulting in problems with webserver stored banners  (Niels)
			  - 2003-01-19:  Setting the webserver banner settings to empty did not have any effect  (Niels)
			  - 2003-01-20:  Wildcard in source delivery limitation matched only a-z and 0-9, not other characters
			  - 2003-01-21:  Usernames were shown in the HTML source of the advertiser and publisher property pages when logged in as a regular user  (Niels)
			  - 2003-01-21:  Fixed some typos in the name of the session cookie in lib-session.inc.php and lib-permissions.inc.php  (Niels)
			  - 2003-01-23:  Fixed the ability to upgrade from pre-md5 hash versions of phpAdsNew  (Niels)
			  - 2003-01-23:  Rewrote index handling in database upgrade script, so unwanted indexes are removed and the primary key is only rebuild when needed  (Niels)
			  - 2003-01-23:  Fixed some errors in the all.sql file which caused unneeded update queries during the update  (Niels)
			  - 2003-01-24:  Precompiled limitations are now rebuild during an upgrade  (Niels)
			  - 2003-01-24:  The geotargeting cookie is now saved only for the current session, to make sure the location of the visitor is correct after a database update  (Niels)
			  - 2003-01-24:  When using plain remote invocation the geotargeting cookie wasn't set, now it is  (Niels)
			  - 2003-01-25:  Hosts that were listed in most 'most recent' and 'top' hosts were not properly shown as hostname  (Niels)
			  - 2003-02-03:  Fixed Javascript error when no hostsnames needed to be fetched  (Niels)
			  - 2003-02-03:  Removed link to banner properties page from the probability page when logged in as a publisher  (Niels)
			  - 2003-02-11:  Fixed incompatibilites with register_globals off into xmlrpc invocation class  (Matteo)
			  - 2003-02-12:  Campaigns are now visibly deactivated when it's weight is zero and the target is also zero  (Niels)
			  - 2003-02-12:  On the Linked banners page the buttons to change the view now don't revert back to the original link type when the type was changed manually  (Niels)
			  - 2003-02-12:  The total weight of all banners and campaigns wasn't correctly calculated during priority calculation  (Niels)
			  - 2003-02-12:  If a banners campaign wasn't linked to a zone and no zones which can be linked to a banner were available, the banners linked zone page didn't show an error message  (Niels)
			  - 2003-02-21:  The way the 304 status was send by adimage.php was wrong on servers using the PHP module, except for Apache  (Niels)
			  - 2003-02-21:  The currently appended zone wasn't selected in the dropdown menu by default on the zones 'Advanced' page and the banners 'Append' page  (Niels)
			  - 2003-02-21:  Priority calculations resulted in division by zero error if high priority campaigns were present  (Niels)
			  - 2003-02-21:  Closing a simple interstitial now doesn't stop other events anymore  (Niels, thanks to Herbert L. Riede)
			  - 2003-02-25:  If the target frame of a converted Flash banner was empty it could not be changed  (Niels)
			  - 2003-02-27:  Monthly target stats were showing 'today' views instead of current month adviews  (Matteo)
			  - 2003-03-13:  During invocation code generation the advertiser or campaign wasn't processed  (Niels)
			  - 2003-03-13:  During invocation code generation the source and target parameters are now url encoded like they should be  (Niels)
			  - 2003-03-13:  The source parameter of adclick.php and adlog.php is now urlencoded by the delivery engine  (Niels)
			  - 2003-03-13:  During invocation code generation the target frame parameter isn't added anymore to the adview.php file of plain remote invocation  (Niels)
			  - 2003-03-13:  Misc. query optimalisations to lib-expiration.inc.php, maintenance-priority.php, lib-autotargeting.inc.php and lib-priority (Niels, thanks to Arno Schäfer)
			  - 2003-03-13:  The default target frame for plain remote invocation and iframes is now '_blank', just like local mode and javascript  (Niels)
			  - 2003-03-13:  If remote invocation for iframes is used, then the target frames in the HTML are rewritten to make sure they are local to the parent frame instead of the iframe  (Niels)
			  - 2003-03-19:  Clicking on a banner inside the admin interface no longer increases the number of AdClicks for that particular banner  (Niels)
			  - 2003-04-01:  Autotargeting is now able to make use of the advanced routines  (Matteo)
			  - 2003-04-02:  Added support for Apache 2.0 to the mod_geoip geotargeting plugin  (Niels, thanks to Scott Switzer)
			


v 2.0rc2		+ Misc bugfixes
			  - 2003-01-07:  Wrong value was used to identify PHP < 4.0.3 during the install and upgrade process  (Niels)
			  - 2003-01-08:  After the upgrade all config.inc.php boolean variables were wrongly set to true  (Matteo)
			  - 2003-01-08:  Adding a client id during direct selection caused an invalid SQL query -> no banners were shown  (Niels)


v 2.0rc1		+ Added the ability to serve and manage text ads  (Niels, 2002-07-29)
			+ Added the ability to preview banners on the Linked Banners page  (Niels, 2002-08-01)
			+ Added the ability to show which banners match when using campaigns to link zones to banners  (Niels, 2002-08-01)
			+ Added the ability to show the parent campaigns when using banners to link zones to banners  (Niels, 2002-08-01)
			+ Added the ability to auto clean old statistics and userlog entries  (Matteo, 2002-08-02)
			+ Made phpAdsNew compatible with register_globals = off and/or gpc_magic_quotes = off  (Niels, 2002-08-05)
			+ The language and browser delivery limitations now have presets, which can be easily selected  (Niels, 2002-08-08)
			+ Added Geotargeting based on the IP2Country database. To enable this feature you need to buy the database
			  from IP2Country. Also added two delivery limitations called 'Country' and 'Continent' to enable the Geotracking  (Niels, 2002-08-18)
			+ The source parameter can now be overwritten in Flash banners with multiple links in order to be able to log each destination url as a seperate entity (Niels, 2002-10-14)
			+ Added the ability to log the geotargeting data in the statistics if 'verbose stats' are used  (Niels, 2002-10-17)
			+ Added keyboard shortcuts for some functions and navigation and changed the tab order for most pages  (Niels, 2002-10-23)
			+ Added experimental support for storing delivery caches in shared memory instead of the database  (Niels, 2002-10-27)
			+ Added campaign targeting stats  (Matteo, 2002-11-28)

			+ Misc changes
			  - 2002-07-26:  Added daily and hosts pages for affiliates and zones (Matteo)
			  - 2002-07-28:  Added publisher name to the default name of new zones  (Niels)
			  - 2002-07-28:  Added advertiser name to the default name of new campaigns  (Niels)
			  - 2002-07-28:  Added indicator for zones without any linked banners  (Niels)
			  - 2002-07-29:  Added source filtering to all history pages  (Niels)
			  - 2002-07-29:  Added expand all / collapse all buttons to banner overview page (Niels)
			  - 2002-07-30:  Added phpAds_dbmsname variable to store the db backend name for easier porting  (Matteo)
			  - 2002-08-01:  The limit when using the more compact way to link banners to zones in now configurable  (Niels)
			  - 2002-08-15:  During the login, passwords are transmitted as md5 digests, instead of plain text  (Niels)
			  - 2002-08-18:  Split the new 'Browser' delivery limitation into 'Browser' and 'OS'  (Niels)
			  - 2002-08-18:  Reinstated the old 'Browser' delivery limitation which is now called 'Useragent'  (Niels)
			  - 2002-08-31:  Added option to force browsers to use SSL when using the admin interface  (Niels)
			  - 2002-09-02:  Added seperate pruning of the database for the userlog  (Niels)
			  - 2002-09-07:  Added delay and exit-console support to pop-ups  (Niels)
			  - 2002-09-08:  Added support for different types of Geotracking databases  (Niels)
			  - 2002-09-09:  Added support for the GeoIP geotracking database  (Vitaliy Fuks)
			  - 2002-09-10:  Added support for appending a popup or interstitial zone to a plain bannerzone  (Matteo)
			  - 2002-09-15:  The english language file is now always loaded first, then the user specified file is loaded  (Niels)
			  - 2002-10-04:  Changed local mode invocation to prevent unwanted errors from phpAdsNew  (Niels)
			  - 2002-10-08:  Added handling of If-Modified-Since header in adimage.php  (Matteo)
			  - 2002-10-08:  Changed zone-probability.php to show the zone chain if needed  (Matteo)
			  - 2002-10-14:  During the conversion of hard-coded links, it is now possible to edit links directly from the same page  (Niels)
			  - 2002-10-17:  Added the ability to to store the geotargeting data in a cookie for later use  (Niels)
			  - 2002-10-17:  Added a page with information about how the statistics are distributed over the different banner sizes  (Niels)
			  - 2002-10-17:  Moved the geotargeting settings to the 'Statistics settings' section  (Niels)
			  - 2002-10-17:  Added a page with information about how the statistics are distributed over the different countries  (Niels)
			  - 2002-10-17:  Added a list of 'most requesting countries' to the 'Hosts' pages  (Niels)
			  - 2002-10-28:  Moved a lot of library files around to new locations  (Niels)
			  - 2002-10-29:  Moved even more library files to a new location  (Niels)
			  - 2002-11-10:  Updated the table structure of the delivery limitations, making it more flexible  (Niels)
			  - 2002-11-10:  Added a new delivery limitations for dates  (Niels)
			  - 2002-11-10:  Changed the way the language, country and continent limitations are shown  (Niels)
			  - 2002-11-10:  Moved all the posix regular expressions in the delivery engine to PERL compatible regular expressions for a minor speed improvement  (Niels)
			  - 2002-11-10:  Added option to turn off logging of the source parameter  (Niels)
                          - 2002-11-10:  Added option to turn off logging of the visitors hostname  (Niels)
                          - 2002-11-10:  Added option to log the IP address only, even if the hostname is available  (Niels)
                          - 2002-11-10:  Moved Geotargeting and Remote host settings to a seperate page  (Niels)
			  - 2002-11-22:  Added support for direct selection delivery cache, which was previously only available for zones  (Niels)
                          - 2002-11-22:  Added support for using a campaingid in the context parameter to prevent the same campaign being shown multiple times on the same page  (Niels)
                          - 2002-11-26:  Changed sorting order of maintenance-priority. Now it's sorted by decreasing priority  (Matteo)
			  - 2002-11-28:  Rewritten autotargeting routine to increase or decrease daily target using the actual stats  (Matteo)
			  - 2002-12-01:  Rewritten the settings library to allow more complex dependancies and Javascript input checking  (Niels)
			  - 2002-12-03:  Added optional localization for ISO3166, ISO639 and continent resource files  (Matteo)
			  - 2002-12-10:  Added a warning mesage into zone-probability.php when using circular zone chains and all zones are empty  (Matteo)
			  - 2002-12-15:  The install script now also uses the rewritten settings library  (Niels)
			  - 2002-12-15:  Added experimental support for sysvshm shared memory to the delivery cache plugins  (Thomas Seifert)
			  - 2002-12-16:  The table type selected during the installation is now stored in the configuration file  (Niels)
			  - 2002-12-16:  Added an extra check to see if the local directory exist when setting up local banners stored on the webserver  (Niels)
			  - 2002-12-17:  Added database server port number to the configuration, install and settings  (Matteo)
			  - 2002-12-17:  Added blocking and capping when beacon logging was not enabled  (Niels)
			  - 2003-01-03:  Removed the default database username and password from the configuration files  (Niels)
			  - 2003-01-05:  Added error message when file locations are not submitted properly  (Niels)

			+ Misc bugfixes
			  - 2002-07-25:  On some systems history pages showed '-0' instead of simply '-' (Matteo)
			  - 2002-07-26:  stats-affiliate-zones.php was displaying affiliateid instead of zoneid  (Matteo)
			  - 2002-07-26:  The size of a FTP stored banner wasn't displayed in banner-edit.php  (Matteo)
			  - 2002-07-27:  When upgrading from a release without priority system, no banner was shown; added priority recalculation to the upgrade process if needed  (Matteo)
			  - 2002-07-30:  When editing a banner, the Keyword field wasn't updated when it was left empty  (Niels)
			  - 2002-07-30:  Campaigns with weight 0 were mistakenly shown as high priority campaigns on the campaign-edit page  (Niels)
			  - 2002-07-30:  Fixed E_ALL error in lib-view-main.inc.php  (Pawel Marzec)
			  - 2002-08-01:  Link to banner-edit and campaign-edit were shown when logged in as publisher on the zone-include page  (Niels)
			  - 2002-08-05:  Added new cookie routines which should fix some very rare login problems with IE6  (Niels)
			  - 2002-08-05:  When no banner can be delivered adview.php now returns a 1 x 1 pixel transparent gif file, so no broken image icon is shown  (Niels)
			  - 2002-08-07:  {url_prefix} wasn't replaced by adview.php when using Netscape 4.7  (Niels)
			  - 2002-08-08:  Delivery limitations can now contain quotes without generating errors during delivery  (Niels)
			  - 2002-08-08:  Adview.php tried to display Flash banners during plain remote invocation  (Niels)
			  - 2002-08-08:  Time capping and log protection can now handle a 6 hour time difference between user and server  (Niels)
			  - 2002-08-10:  Made a couple of pages compatible with RTL language files  (Niels)
			  - 2002-08-11:  Made the output of adimage better cachable by the browser  (Niels)
			  - 2002-08-11:  Rare double login problem fixed  (Niels)
			  - 2002-08-11:  Delivery capping and log protection should now work better when using local mode from a different domain  (Niels)
			  - 2002-08-11:  Total for adviews on mailed reports should now work again  (Niels)
			  - 2002-08-13:  Missing link to lib-io.inc.php in graph-daily.php fixed  (Niels)
			  - 2002-08-15:  On some systems the uniqid() function was too slow  (Niels, thanks to Christer Lindh)
			  - 2002-08-15:  Removed mysterious newline at the end of many files  (Niels)
			  - 2002-08-18:  Removed empty delivery limitation from the 'Create new limitation' field  (Niels)
			  - 2002-08-23:	 The Geotracking location box on the settings page didn't work correctly  (Niels)
			  - 2002-08-23:  Upgrading from a beta 6.1 or previous pointing the browser to the install directory didn't work  (Matteo)
			  - 2002-08-25:  Text zone icon wasn't displayed on the Advanced zone settings page  (Niels)
			  - 2002-08-26:  Fixed problem when using adpopup to show HTML banners with embedded Javascript code  (Niels, thanks to Philip Hofstetter)
			  - 2002-08-30:  Added single quotes when using ids in queries, to prevent exploits on non-mysql platforms  (Matteo)
			  - 2002-08-31:  Fixed compatibility with delivering banners on a SSL enabled website  (Niels)
			  - 2002-08-31:  Rewrote part of the upload handling, for better compatibility  (Niels)
			  - 2002-08-31:  Improved Netscape 4 compatibility for Iframes invocation  (Niels, thanks to Oliver Weiss)
			  - 2002-08-31:  Added RTL support for search results  (Niels)
			  - 2002-08-31:  Added RTL support to on-screen help  (Niels)
			  - 2002-09-02:  Fixed Javascript error on property pages when translated strings contained a single quote  (Niels)
			  - 2002-09-02:  Moved untranslated string in interface.js (renamed to js-gui.php) to language files  (Niels)
			  - 2002-09-02:  Upgrading on IIS caused the url_prefix to be set to the wrong directory  (Niels)
			  - 2002-09-02:  Fixed JavaScript error during update, install and login  (Niels)
			  - 2002-09-03:  When using Webserver stored images, the old image wasn't cleaned up if a new one was uploaded  (Niels)
			  - 2002-09-03:  Errormessages during the configuration of the FTP server appeared in the wrong block  (Niels)
			  - 2002-09-03:  An incorrect path name for the FTP server appeared during editing the FTP settings, if it had been previously left empty  (Niels)
			  - 2002-09-07:  Changed check for localmode during invocationcode generation from hostname to IP address  (Niels)
			  - 2002-09-08:  Added second parameter to all uniqid() functions for speed optimalisation  (Niels)
			  - 2002-09-08:  Fixed PHP warning when trying to evaluate a geotracking limitation without a database present  (Niels)
			  - 2002-09-12:  Client name wasn't shown correctly on generated client reports  (Niels)
			  - 2002-09-14:  Removed HTML tags from email reports  (Matteo)
			  - 2002-09-16:  Added other missing single quotes when using ids in queries  (Matteo)
			  - 2002-09-16:  Changed <? to <?php in lib-permissions.inc.php  (Stefan)
			  - 2002-09-19:  Changed SCRIPT_NAME to PHP_SELF for CGI compatibility  (Niels, thanks to MacDave)
			  - 2002-09-20:  Fixed bug which prevent even distribution when plain remote invocation was used  (Niels)
			  - 2002-09-26:  Fixed bug which caused sql stored banners to be retrieved from browser cache even if modified  (Matteo)
			  - 2002-10-04:  Fixed a bug in lib-priority, sometimes days running were negative  (Matteo)
			  - 2002-10-04:  The string Help was hardcoded in install.php and couldn't be translated  (Niels)
			  - 2002-10-04:  PNG graphs were not working when using IE and ob_gzhandler  (Niels)
			  - 2002-10-08:  Iframe invocation code had the wrong height and width for the ilayer component  (Niels)
			  - 2002-10-08:  Fixed delivery of text ads into banner zones and vice versa  (Matteo)
			  - 2002-10-09:  Images and css file were not used when database connection failed  (Niels)
			  - 2002-10-13:  The precompiled limitation wasn't updated when applying a limitation to another banner  (Niels)
			  - 2002-10-13:  </body></html> weren't added to the popup HTML code for IE  (Niels)
			  - 2002-10-15:  Added a check to the installer to make sure the database extension is available  (Niels)
			  - 2002-10-23:  Added a check for product updates to make sure the XML extension is available  (Niels)
			  - 2002-10-27:  In some cases the delivery cache was not rebuild after priority calculations  (Niels)
			  - 2002-10-27:  Fixed an E_ALL warning in the priority library  (Niels)
			  - 2002-10-27:  lib-view-query wasn't included in zone-probability causing an error  (Niels)
			  - 2002-10-27:  Zone cache is not rebuild after changing chains or append settings  (Niels)
			  - 2002-10-27:  The 'Show banner' button caused an error on the 'Linked banners' page  (Niels)
			  - 2002-10-28:  Fixed settings help layer and layerstyles to be Konqueror compatible  (Matteo)
			  - 2002-10-29:  Fixed a couple of register_global bugs, which caused E_ALL errors  (Niels)
			  - 2002-11-02:  Fixed E_ALL warnings and division by zero error in lib-misc-stats  (Niels)
 			  - 2002-11-02:  Language strings weren't included at the right moment in the install script causing E_ALL warnings  (Niels)
 			  - 2002-11-02:  Added the correct time string in all language files  (Niels)
			  - 2002-11-10:  Delivery cache is now updated when limitations are applied to other banners  (Niels)
			  - 2002-11-19:  Fixed JS error appeaing after manually closing an autoclosing popup  (Matteo)
			  - 2002-11-22:  'Yes' and 'No' strings in the invocation generator are now using the translation files  (Niels)
			  - 2002-11-22:  Added missing css-styles for banner-acl.php  (Matteo)
			  - 2002-11-26:  Fixed bug in the overflow softener. When run, all high-pri camapaigns were wrongly re-activated  (Matteo)
			  - 2002-11-28:  Removed html tags in page title of banner-htmlpreview.php  (Matteo)
			  - 2002-11-30:  Fixed E_ALL error when adding a new publisher  (Niels)
			  - 2002-11-30:  Fixed duplicate include in install.php  (Niels)
			  - 2002-12-03:  Added missing double quotes in the from header of outgoing e-mails  (Matteo)
			  - 2002-12-03:  Converting stats resulting in invalid SQL INSERT and/or UPDATE queries  (Niels)
			  - 2002-12-09:  Aligned text to the right in the daily graph to prevent numbers from being cut off  (Niels)
			  - 2002-12-09:  Removed <span> from reports  (Niels)
			  - 2002-12-09:  Added second scale to history graphs to make AdClicks visible  (Niels)
			  - 2002-12-10:  Fixed infinite loop during invocation when using circular zone chains and all zones are empty  (Matteo)
			  - 2002-12-11:  Now priority is recalculaed only if necessary when editing campaigns  (Matteo)
			  - 2002-12-14:  Fixed crash when saving the default settings on IIS when using PHP as CGI  (Niels)
			  - 2002-12-15:  Fixed multiple E_ALL errors in admin-search.php  (Niels)
			  - 2002-12-15:  Javascript form checking didn't work if a required field didn't have particular type  (Niels)
			  - 2002-12-16:  The install script now checks wether the selected table type is really supported by the MySQL server  (Niels)
			  - 2002-12-16:  Upgrading now created tables in the same table type as selected during the original installation  (Niels)
			  - 2002-12-16:  Delayed inserts are now disabled if a table type other than MyISAM is used  (Niels)
			  - 2002-12-17:  Fixed E_ALL error in lib-gui.inc.php when the database wasn't configured or running  (Niels)
			  - 2002-12-17:  Fixed typo in error message when the database wasn't configured or running  (Niels)
			  - 2002-12-27:  The wrong text was displayed on the maintenance page when using files for the delivery cache  (Niels)
			  - 2002-12-27:  The delivery cache maintenance page is now correctly hidden when the delivery cache is disabled  (Niels)
			  - 2002-12-28:  Added workaround for missing HTTP_HOST server variable when using OmniHTTPd  (Niels)
			  - 2002-12-29:  Removed reference to non-existing manual in the advertiser and publisher welcome text  (Niels)
			  - 2002-12-30:  Added missing flags for Gibraltar and the ARIPO  (Niels)
			  - 2002-12-30:  Removed duplicate ISO-3166 code entries for the United Kingdom, only GB is now used  (Niels)
			  - 2002-12-31:  Added experimental content-length header to adlog.php to try to prevent logging problems in Opera  (Niels)
			  - 2002-12-31:  -keyword didn't work when using direct selection  (Niels)
			  - 2003-01-02:  When saving settings to the database booleans are now typecast  (Niels)
			  - 2003-01-02:  Resetting the statistics for campaigns and banners are now back  (Niels)
			  - 2003-01-03:  No stats were shown when all banners were deactivated  (Niels)
			  - 2003-01-03:  Fixed JS error when phpAds_formSetRequirements only had a requirement but no check  (Niels)
			  - 2003-01-03:  Changed form used on the delivery limitations page to post because there was too much data if all country were selected  (Niels)
			  - 2003-01-03:  The delivery cache wasn't deleted when updating linked banners/zones  (Niels)
			  - 2003-01-03:  The geocookies checkbox is not disabled when geotracking is turned off  (Niels)
			  - 2003-01-03:  Fixed an E_ALL error in the Flash link converter, which occured when only one link was converted  (Niels)
			  - 2003-01-03:  Fixed typo in popup generation code (delay_type was misspelled)  (Niels)
			  - 2003-01-03:  Close delay now works when the popup is opened after the current page is closed  (Niels)
			  - 2003-01-04:  Added support for Opera 7 to the floater interstitial  (Niels)
			  - 2003-01-04:  HTML banners containing entities were malformed when opening and resaving  (Niels)
			  - 2003-01-04:  Booleans weren't handled correctly when saving the configuration to file  (Niels)
			  - 2003-01-04:  Hiding of inactive banners wasn't working correctly causing errors  (Niels)
			  - 2003-01-05:  Submitted settings were not preserved when an errormessage was shown on one of the configuration pages  (Niels)





v 2.0beta7		+ Added configuration manager  (Matteo, 2001-11-04)
			+ Added install and upgrade script  (Matteo and Niels, 2001-11-04)
			+ Added support for different table types, such as InnoDB  (Niels, 2001-11-04)
			+ Added logging for zone statistics  (Niels, 2001-11-18)
			+ Added support for affiliates  (Niels, 2001-11-19)
			+ Added logging of hourly statistics for compact stats  (Niels, 2001-11-21)
			+ Added affiliate statistics  (Niels, 2001-11-25)
			+ Added target based priority  (Niels and Matteo, 2001-11-25)
			+ Added moving of banners, campaigns and zones  (Niels, 2001-12-01)
			+ Added duplication of banners (Niels, thanks to Kelly Cochran, 2001-12-01)
			+ Added ability to apply display limitations to other banners  (Niels, 2001-12-01)
			+ Added new invocation type for popups/popunders  (Niels, 2001-12-02)
			+ Added the ability to use beacon images for logging stats  (Niels, 2001-12-02)
			+ Added the ability to convert hard-coded urls inside Flash banners  (Niels, 2001-12-18)
			+ Added support for MFAA clickTAG's in Flash files  (Niels, 2002-01-09)
			+ Added support for QuickTime, Real and Shockwave files  (Niels, 2002-01-09)
			+ Added source statistics  (Wim, 2002-01-29)
			+ Added monthly statistics  (Niels, 2002-02-03)
			+ Added a log for actions taken during delivery and maintenance, which is also used to log all outgoing email  (Niels, 2002-02-11)
			+ Added support for linking zones to campaigns  (Niels, 2002-02-14)
			+ Added support to block logging for a specific time after a banner is displayed or was clicked on  (Niels, 2002-02-17)
			+ Added linking of zones to campaigns  (Niels, 2002-02-20)
			+ Added a new method of linking banners for sites with many banners  (Niels, 2002-02-20)
		  	+ Added campaign overview page for advertisers  (Niels, 2002-02-24)
			+ Added campaign auto-targeting when expiration set and adviews purchased  (Matteo, 2002-03-09)
			+ Added the ability to change converted hard coded links inside Flash files  (Niels, 2002-03-14)
			+ Added support for converting hard-coded urls in compressed Flash MX files  (Niels, 2002-03-21)
			+ Added misc. maintenance options to the admin interface  (Niels, 2002-04-08)
			+ Added the ability to check for newer versions of phpAdsNew  (Matteo, 2002-04-11)
			+ Added the ability to change the target frame for each banner  (Niels, 2002-04-14)
			+ Added new style JavaScript invocation, with the ability to prevent one banner from being displayed twice on one page  (Niels, 2002-04-30)
			+ Added the ability to change the target frame for converted Flash banners (Niels, 2002-07-04)
			+ During link conversion of Flash files, it is now possible to compress uncompressed files, even created by older versions of Flash  (Niels, 2002-07-04)
			+ Added the ability to set a limit to the number of impressions for a specific user, aka. capping  (Niels, 2002-07-07)

			+ Misc changes to library and function names
			  - 2001-10-20:  Renamed nocache.inc.php to lib-cache.inc.php  (Niels) 
			  - 2001-10-20:  Renamed acl.inc.php to lib-acl.inc.php  (Niels) 
			  - 2001-10-20:  Renamed dblib.php to lib-db.inc.php	 (Niels) 
			  - 2001-10-20:  Renamed db_* functions to phpAds_db*  (Niels) 
			  - 2001-10-20:  Renamed acl_* functions to phpAds_acl*  (Niels) 
			  - 2001-10-20:  Replaced mysql_* functions with phpAds_db* stubs  (Niels) 
			  - 2001-10-27:  All config variables are now stored in one array  (Niels) 
			  - 2001-10-27:  Changed the name of the database settings in config.inc.php  (Niels) 
			  - 2001-10-27:  Made default values for settings in config.inc.php more consistent  (Niels) 
			  - 2001-10-27:  Moved all includes inside view.inc.php to all invocation files  (Niels) 
			  - 2002-02-06:  view.inc.php is now split into multiple libraries, so only code actually needed is included to achieve a big improvement in performance  (Niels) 
			  - 2002-03-07:  Moved invocation code into lib-invocation.inc.php  (Matteo) 
			  - 2002-04-01:	 Renamed campaign-index and zone-index  (Niels)
			  - 2002-04-11:  Added a product string to lib-dbconfig, for easier porting  (Niels)
			  - 2002-07-15:  Updated copyright headers of all files to include the year 2002  (Niels)

			+ Misc changes
			  - 2001-10-20:  Moved some functions around to make sure no unneeded functions were included during invocation.  (Niels) 
			  - 2001-10-24:  Removed space from UNIQUE INDEX definition in all.sql  (Niels) 
			  - 2001-10-24:  Added $phpads_proxy_lookup option  (Niels) 
			  - 2001-10-25:  Removed path detection from config.inc.php, to prevent it from being executed twice  (Niels) 
			  - 2001-10-25:  Added filter to make sure keywords are entered the right way  (Niels) 
			  - 2001-11-04:  Added messages for empty lists of zones, stats and clients  (Niels) 
			  - 2001-11-11:  Added a database compatibility mode, to solve potential problems when the database connection is shared with another product or script  (Niels) 
			  - 2001-11-15:  Added width and height to the array returned by view_raw()  (Niels) 
			  - 2001-11-15:  Added backwards compatibility for mixed case parameters  (Niels) 
			  - 2001-11-16:  Added speed optimalisation, only associate array is used  (Niels) 
			  - 2001-11-18:  Changed layout of section-tabs  (Niels) 
			  - 2001-11-22:  Added names in from and to headers when sending e-mails  (Matteo) 
			  - 2001-11-25:  Added error message for possible exploit  (Niels) 
			  - 2001-11-28:  Added support for compact stats to hourly stats page  (Niels) 
			  - 2001-12-01:  Added application title to page title  (Niels) 
			  - 2001-12-01:  Renamed some pages to make it more logical  (Niels) 
			  - 2001-12-01:  Changed the icons of acls and activate/deactivate  (Niels) 
			  - 2001-12-02:  Added return url to all delete actions  (Niels) 
			  - 2001-12-02:  Added error message to 'Link banners' page  (Niels) 
			  - 2001-12-03:  Iframes can now automatically resize to the banner dimensions  (Niels) 
			  - 2001-12-03:  Iframes can now be transparent  (Niels) 
			  - 2001-12-11:  Impression prediction tries to better compensate limited time peaks  (Matteo) 
			  - 2001-12-11:  Added a better priority calculation when no targeted campaign is present  (Matteo) 
			  - 2001-12-11:  Added additional indices to the statistic tables  (Niels) 
			  - 2001-12-11:  Optimized queries for generating the statistics  (Niels) 
			  - 2001-12-12:  Changed preview of HTML banners  (Niels) 
			  - 2001-12-14:  The first field of the login interface is now automatically focused (Jules Sotheby) 
			  - 2001-12-15:  Added prev/next buttons to the statistics  (Niels) 
			  - 2001-12-16:  Priority is recalculated when a users changes a banner or campaign  (Niels) 
			  - 2001-12-16:  Added ability to duplicate webserver stored banners  (Niels) 
			  - 2001-12-26:  Split banner image to a seperate table for speed up  (Niels) 
			  - 2001-12-26:  Added cache for HTML generated during delivery  (Niels) 
			  - 2002-01-17:  Added a file-stored "table_prefix" configuration variable and updated all occurrencies of the old "tbl_prefix"  (Matteo) 
			  - 2002-01-26:  Added warning for overwriting existing tables during installation  (Niels) 
			  - 2002-01-27:  Table orderdirection and listorder are now stored inside the session  (Niels) 
			  - 2002-01-27:  Campaign statistics table now uses the same interface for sorting  (Niels) 
			  - 2002-01-27:  Misc changes to the GUI of banner generators and banner linking  (Niels) 
			  - 2002-01-27:  Added preliminary support for right-to-left languages  (Noor Dawod, Niels) 
			  - 2002-01-27:  Added the language flag to config.inc.php (Stefan) 
			  - 2002-02-03:  Moved weekly stats to the history pages and it is now every object which has a history page, instead of campaigns only  (Niels) 
			  - 2002-02-03:  Added graphs to every history page  (Niels) 
			  - 2002-02-06:  Optimised ignore_hosts function so only two regular expressions are used in total, instead of 3 for each listed host.  (Niels) 
			  - 2002-02-11:  Added general library for sending email  (Niels) 
			  - 2002-02-11:  Moved deactivation warning to a seperate library  (Niels) 
			  - 2002-02-11:  Added support for GZIP content encoding of the admin interface  (Niels) 
			  - 2002-02-18:  Changed behavoir of the 'Save Changes' button  (Niels) 
			  - 2002-02-18:  Removed 'banner retrieval method' settings  (Niels) 
			  - 2002-02-22:  Renamed Clients to Advertisers and Affiliates to Publishers  (Niels) 
			  - 2002-02-22:  Cleaned up the language files  (Niels) 
			  - 2002-02-23:  Added missing shortcuts for publisher pages  (Niels) 
			  - 2002-02-24:  Added ability to delete all campaigns of a client  (Niels) 
			  - 2002-02-24:  Added ability to activate/deactivate all banners of a campaign  (Niels) 
			  - 2002-02-24:  Added <img> invocation to <iframe> invocation type for browser compatibility  (Niels) 
			  - 2002-02-25:  Added ability to delete all banners of a campaign  (Niels) 
			  - 2002-03-04:  Added 'url' and 'clientid' to view_raw result array  (Matteo) 
			  - 2002-03-06:  Added more information to Priority page  (Niels) 
			  - 2002-03-07:  Added XML-RPC invocation  (Matteo) 
			  - 2002-03-07:  Added AdLayers invocation with plug-in styles  (Matteo) 
			  - 2002-03-09:  Changed lib-priority to skip profiling when no high-pri present and added some more information to debuglog for better tracing  (Matteo) 
			  - 2002-03-09:  Added new language file for invocations  (Matteo) 
			  - 2002-03-12:  Added new way to check if a form has the correct values  (Niels) 
			  - 2002-03-17:  Added next / prev buttons to the userlog  (Niels) 
			  - 2002-03-19:  phpadsnew.inc.php can now be included more than once without generating errors  (Niels) 
			  - 2002-03-19:  phpAds_config is not automatically globalized in case it is called from a function  (Niels) 
			  - 2002-03-19:  Updated HTML code to support Flash MX  (Niels) 
			  - 2002-03-23:  Campaign selection is now default type of linking zones to banners  (Niels) 
			  - 2002-03-24:  Added unique id (n) to every generated invocation code  (Niels) 
			  - 2002-03-24:  Changed random seed to include a part of the n parameter  (Niels) 
			  - 2002-03-25:  Added the ability to duplicated zones  (Niels) 
			  - 2002-03-25:  Added sorting of items shown in the navigation  (Niels) 
			  - 2002-03-27:  Optimized BannerInZone and CampaignInZone  (Niels) 
			  - 2002-03-28:  Added optional patch for systems with a local qmail as SMTP deamon  (Matteo) 
			  - 2002-03-28:  Made version number less visible  (Niels) 
			  - 2002-03-28:  Added the ability to rebuild the zonecache and imageurl's  (Niels)
			  - 2002-04-01:  Added warning to statistics pages when there are not stats available  (Niels)
			  - 2002-04-01:  Added Campaign Overview page to the statistics  (Niels)
			  - 2002-04-01:  Changed hierarchy of the campaign and banner statistic pages  (Niels)
			  - 2002-04-06:  Added a workaround for IE own bug when loading external JS into a popup  (Niels, Matteo)
			  - 2002-04-09:  Rewrote part of lib-priority to always assign a priority > 0 to low-pri campaigns  (Matteo)
			  - 2002-04-15:  Added ability to override frame targets even if no target is specified in HTML banner  (Niels)
			  - 2002-04-19:  Rewritten verbose stats convertor, now available from the maintenance menu  (Niels)
			  - 2002-04-30:  Added better support for different versions of Flash plugins, phpAdsNew won't ask for the latest version of the plugin when the .swf file is created in an older version  (Niels)
			  - 2002-05-02:  Split zones into three different types: Banner, Interstitial and Popups  (Niels)
			  - 2002-05-02:  Updated user interface of the bannercode generator  (Niels)
			  - 2002-05-02:  Resize Iframe option of bannercode generator is hidden when zone is on different server  (Niels)
			  - 2002-05-02:	 Updated iframe bannercode to include ilayer for Netscape 4 support  (Niels)
			  - 2002-05-02:  Removed combined remote invocation from bannercode generator because new Javascript and Iframe support are both 100% browser compatible  (Niels)
			  - 2002-05-03:  Added configuration settings to hide invocation types from the users  (Niels)
			  - 2002-05-04:  Added extra option to local mode invocation generator for preventing a banner to be displayed twice on one page  (Niels)
			  - 2002-05-04:  Added option to local mode invocation generator for generating view_raw() based template compatible code  (Niels)
			  - 2002-05-06:  Changed generated HTML to make it more compatible with W3C standards  (Niels)
			  - 2002-05-06:  Added wildcard support to source display limitation  (Niels)
			  - 2002-05-07:  Speed optimalisations for display limitations  (Niels)
			  - 2002-05-08:  Made source field for statistics a bit larger  (Niels)
			  - 2002-05-08:  Speed optimalisations for keyword direct selection  (Niels)
			  - 2002-05-08:	 Added support for zones inside multi-expression direct selection strings  (Niels)
			  - 2002-05-09:  Added the ability to chain multiple zones together, in case one zone can't deliver any banners  (Niels)
			  - 2002-05-09:  Added the ability to add a popup invocation code to a regular zone  (Niels)
			  - 2002-05-09:  Banners can now have a time limit, which means the banner will only be displayed once in that timeframe  (Niels)
			  - 2002-05-09:  More speed optimalisations for display limitations. Limitations are not pre-compiled and cached, so no extra datbase queries are needed  (Niels)
			  - 2002-05-09:  Changed path of block cookies to make sure they also work with local mode invocation on the same server  (Niels)
			  - 2002-05-15:  Zones linked to campaigns are now also shown on the banner's linked zones page, but can not be modified  (Niels)
			  - 2002-05-16:  Banners are now selected when switching from linking zones to campaigns to linking zones to banners  (Niels)
			  - 2002-05-27:  Changed profile prediction to use data from more days, rather than the same weekday of the last week. This data is then weighted using gaussian distributions  (Matteo)
			  - 2002-06-02:  Included switch to turn on Netscape 4 compatible ilayers during iframe invocation generation  (Niels)
			  - 2002-06-02:  Added 'Expand all / Collapse all' buttons to advertiser overview and publisher overview  (Niels)
			  - 2002-06-05:  Added language specific separator for thousands and decimals  (Niels)
			  - 2002-06-05:  Changed the alignment of most columns in the statistics to the right, for better readability  (Niels)
			  - 2002-06-07:  Added total of the period in email reports  (Matteo)
			  - 2002-06-12:	 Added check for MySQL user privileges before upgrading  (Niels)
			  - 2002-07-06:  Added display of file size to banner properties  (Niels)
			  - 2002-07-07:  Increased maximum length of target parameter on banner properties page to 16 chars  (Niels)
			  - 2002-07-14:  Added ability to hide inactive items from overviews  (Niels)
			  - 2002-07-14:  Added hidden configuration setting to disable the user interface  (Niels)
			  - 2002-07-15:  Updated some of the icons to make them better looking  (Niels)
			  - 2002-07-17:  Added ability to clear all the limitations of one banner all at once  (Niels)
			  - 2002-07-19:  Added floater and cursor floating dhtml layerstyles  (Matteo, Niels)


			+ Misc bugfixes
			  - 2001-10-17:  Removed extra comma from config.inc  (Matteo) 
			  - 2001-10-19:  Removed background color for flash banner; lets see if it's better... (Stefan) 
			  - 2001-10-22:  Fixed bug which prevented IP/hostname detection for ACLs, ignored hosts and logging when 'x-http-forwarded-for' header was set to 'unknown' by the proxy  (Matteo) 
			  - 2001-10-24:  Fixed warning 'No DB connection'  (Niels) 
			  - 2001-10-24:  Destination cookie sometimes had wrong value  (Niels) 
			  - 2001-10-26:  AdClick history for mailed reports was limited to 7 days  (Niels) 
			  - 2001-10-27:  Fixed duplicate dblib include and phpAds_path problem  (Niels) 
			  - 2001-11-02:  Database connection will always be kept open, because it might be shared with another script  (Niels) 
			  - 2001-11-02:  phpAds_path problem fixed when using the maintenance script  (Niels) 
			  - 2001-11-02:  Made phpAds_path available to admin files  (Niels) 
			  - 2001-11-02:  Fixed misc. E_ALL warnings  (Niels) 
			  - 2001-11-09:  Target was replaced in HTML banners, even if the new target was empty  (Niels) 
			  - 2001-11-10:  Link to ACL page was shown even if they were disabled  (Niels) 
			  - 2001-11-10:  Removed extra return at the end of the banner-edit.php file  (Niels) 
			  - 2001-11-16:  Zonecache still included banners  (Niels) 
			  - 2001-11-16:  Zones admin files needed view.inc.php include: added it to lib-zones  (Matteo) 
			  - 2001-11-17:  Changed \n to \r\n in e-mail headers  (Niels) 
			  - 2001-11-18:  Fixed some left old style config vars in lib-expire (Matteo) 
			  - 2001-11-20:  Added missing website field in all.sql (Matteo) 
			  - 2001-11-21:  Total Statistic in mailed reports now only use the selected statistics type, instead of using both compact and verbose  (Niels) 
			  - 2001-11-21:  Logging didn't work correctly because affected rows function did not return the correct value  (Niels) 
			  - 2001-11-22:  E-mails were sent twice when using qmail as SMTP server   (Matteo) 
			  - 2001-11-22:  Removed extra \r\n at the end of e-mail headers   (Matteo) 
			  - 2001-11-29:  Fixed a bug when not collapsing the latest expanded item in affiliate-, client- and stats-index.php   (Matteo) 
			  - 2001-11-30:  Added missing link to logout image   (Matteo) 
			  - 2001-11-30:  Database host specified during install was ignored   (Matteo) 
			  - 2001-11-30:  Table prefix was ignored when installing affiliates table   (Matteo) 
			  - 2001-12-02:  Days with stats only for hour 0 were not shown in stats-daily left bar   (Matteo) 
			  - 2001-12-02:  Added workaround for Netscape 4.x problem with adjs.php  (Niels) 
			  - 2001-12-05:  HTML banners rendering in the interface was alse splitting HTML entities  (Matteo) 
			  - 2001-12-05:  HTML entities in translations were not supported into settings SELECTS/OPTIONS  (Matteo) 
			  - 2001-12-09:  Ignored hosts were logged when using two or more banners whitin local invocation  (Matteo) 
			  - 2001-12-11:  Removed form validation problem when adding switching a campaign to targeted mode  (Matteo) 
			  - 2001-12-16:  Fixed webserver stored banner cleanup problem  (Niels) 
			  - 2001-12-18:  Removed the background color parameter for Flash banner previews  (Niels) 
			  - 2001-12-22:  Clients couldn't activate banners using the client interface  (Toni Garcia) 
			  - 2001-12-22:  Calculating priority without campaigns or banners led to php errors  (Matteo) 
			  - 2001-12-31:  Misc fixes to priority calculation without high priority banners  (Niels) 
			  - 2002-01-08:  An sql error was showing instead of the normal "wrong password" warning when upgrading from a pre-affiliates install  (Matteo) 
			  - 2002-01-09:  Removed old "banner" field from a query in stats-campaigns.php  (Matteo) 
			  - 2002-01-09:  Displaying weekly stats of an empty campaing produced an SQL error  (Matteo) 
			  - 2002-01-09:  NoStats message was wrong in global and campaign related weekly stats  (Matteo) 
			  - 2002-01-09:  Removed useless weeks selector when no stats are present in weekly stats  (Matteo) 
			  - 2002-01-10:  Lib-priority wrongly used prediction when all active high-pri campaigns are empty (i.e. after creating the first high-pri campaign). The same happened if all the banners in high-pri campaigns were not active  (Matteo) 
			  - 2002-01-16:  Priority wasn't rescheduled when changing start/expiration date of campaings  (Matteo) 
			  - 2002-01-17:  Install saved default name for images table in configuration instead of actual name  (Matteo) 
			  - 2002-01-17:  Upgrades from pre-configmanager releases didn't show the graphical logo  (Matteo) 
			  - 2002-01-17:  Upgrade process was using default name for missing tables, this could lead to table sharing between installs using the same database  (Matteo) 
			  - 2002-01-17:  Replaced "random_retrieve" with "retrieval_method" into help files  (Matteo) 
			  - 2002-01-26:  Header and Footer settings should work again  (Niels) 
			  - 2002-02-03:  Language selection always showed 'Default'  (Niels) 
			  - 2002-02-03:  Language in the affiliate interface is now directy changed  (Niels) 
			  - 2002-02-03:  Password fields are now not readable when creating a client or affiliate  (Niels) 
			  - 2002-02-05:  Fixed bug #513270 [ Netscape 6.2.1 incompatibility? ] in campaing-edit  (Matteo) 
			  - 2002-02-06:  Calling the view() function twice with database compatibility mode fixed  (Niels) 
			  - 2002-02-18:  Fixed re-appeared bug when not collapsing the latest expanded item in stats-global-affiliates.php  (Matteo) 
			  - 2002-02-18:  Fixed bug when resolving was made by http server and reverse_lookup off  (Matteo) 
			  - 2002-02-24:  Increased the size of the zone cache  (Niels) 
			  - 2002-02-24:  Moving a banner or campaign to an nonexisting parent no longer results in an empty page  (Niels) 
			  - 2002-02-28:  Fixed quote problem in uploaded file names  (Niels) 
			  - 2002-03-10:  Added default return url to delete actions  (Niels) 
			  - 2002-03-19:  phpAds_path constant was wrong in admin insterface, install, upgrade and maintenence when no __FILE__ constant available  (Matteo) 
			  - 2002-03-19:  Names and descriptions now can contain quotes and double quotes (Niels) 
			  - 2002-03-19:  Fixed slash problem in urls with adclick.php  (Niels) 
			  - 2002-03-19:  Resolved many E_ALL problems  (Niels) 
			  - 2002-03-19:  Database compatibility mode problems fixed  (Niels) 
			  - 2002-03-19:  phpads_images table is now correctly create with the InnoDB table type  (Niels) 
			  - 2002-03-21:  Monthly history now also works with compact stats  (Niels) 
			  - 2002-03-22:  Changed zonename field size to 245, increasing compatibility with MySQL 3.22.x  (Matteo) 
			  - 2002-03-23:  Fixed primary key problem for adstats table  (Niels) 
			  - 2002-03-23:  Width and height weren't added to invocation code during generation  (Niels) 
			  - 2002-03-24:  First linked banner or campaign added an extra comma to zone contents  (Niels) 
			  - 2002-03-24:  Campaigns with no matching banner were not shown as linked in zone  (Niels) 
			  - 2002-03-24:  Zonetype was not saved when adding banners or campaigns to a zone  (Niels) 
			  - 2002-03-24:  Too many campaigns were shown in the navigation (Niels)
			  - 2002-03-24:  Zone cache update now happens after priority is recalculated  (Niels) 
			  - 2002-03-25:  Made a couple of regular expressions in lib-banner.inc.php more compatible  (Niels) 
			  - 2002-03-26:  Fixed malfunctioning auto target recalculation  (Niels) 
			  - 2002-03-27:  Priority recalculation from admin interface didn't create an userlog entry  (Matteo) 
			  - 2002-03-27:  Rewrote Javascripts in campaign-zone and banner-zone to make them usuable when a large number of zones are defined  (Niels) 
			  - 2002-03-28:  Improved rendering of subtabs in Mozilla  (Niels) 
			  - 2002-03-30:  Added source to Flash ClickTAG  (Niels)
			  - 2002-03-30:  Path detection during install on IIS fixed  (Niels)
			  - 2002-03-30:  Fixed MS Exchange problem when sending email  (Niels)
			  - 2002-03-31:  Duplicated zones now have an unique name  (Niels)
			  - 2002-03-31:  Fixed errors when no banner networks were present  (Niels)
			  - 2002-04-01:  Fixed report checkboxes on the advertiser properties page  (Niels)
			  - 2002-04-01:  Fixed misc. E_ALL warnings  (Niels)
			  - 2002-04-02:  Source statistics now work properly for compact statistics  (Niels)
			  - 2002-04-08:  The popup was being opened even when no banner was fetched  (Matteo)
			  - 2002-04-14:  Mixing zones and direct selection with the view() function is now possible  (Niels)
			  - 2002-04-14:  Adlayer is now IE, Mozilla and Opera compatible  (Matteo & Niels)
			  - 2002-04-15:  Fixed no cookie / no database connection errors  (Niels)
			  - 2002-04-16:  Not all views and clicks were displayed on the daily stats  (Niels)
			  - 2002-04-19:  Changed phpAds_path detection  (Niels)
			  - 2002-04-19:  Last modified header in lib-cache.inc.php caused problems in Opera  (Niels)
			  - 2002-04-19:  Expire header in lib-cache.inc.php caused problems in Netscape  (Niels)
			  - 2002-04-28:  Fixed some remaining E_ALL errors  (Niels)
			  - 2002-05-02:  Fixed problem which caused HTML to be mangled when target= was part of an URL  (Niels)
			  - 2002-05-02:  Moving zones now works again  (Niels)
			  - 2002-05-02:  Multiple simple adlayers on one page now don't interfere with each other anymore  (Niels)
			  - 2002-05-02:  HTML banners were displayed without slashes  (Niels)
			  - 2002-05-02:  Upgrade script forgot to remove unneeded slashes from HTML banners  (Niels)
			  - 2002-05-04:	 If no banners are linked to a zone, the update of linked banners is now saved  (Niels)
			  - 2002-05-04:	 When using keyword selection for linking banners the update is now saved  (Niels)
			  - 2002-05-04:	 Zone probability showed all banners when nothing was selected  (Niels)
			  - 2002-05-05:  Added workaround for broken images in IE when zlib.output_compression was turned on  (Niels)
			  - 2002-05-07:  Fixed errors when upgrading from a no longer support language  (Niels)
			  - 2002-05-07:  When try to find a global banner during direct selection only banners with only the global keyword were found  (Niels)
			  - 2002-05-10:  Disabled GZIP output compression during upgrade as it could prevent wait-page rendering  (Matteo)
			  - 2002-05-11:  Javascript invocation generator didn't include withtext parameter  (Niels)
			  - 2002-05-11:  Removed newline from the last line of misc files  (Niels)
			  - 2002-05-14:  Added missing parent column in maintenance-activation.php  (Niels)
			  - 2002-05-14:  Fixed possible duplicate include of lib-dbconfig.php during maintenance  (Niels)
			  - 2002-05-29:  Lib-priority was using the wrong weekday when predicting profile  (Matteo)
			  - 2002-05-30:  Added compatibility with JavaScript 1.1, Netscape 3 and IE 5 for Mac to JavaScript invocation  (Niels)
			  - 2002-06-03:  Publisher checkboxes now work correctly again on banner-zone.php when zones linked to campaigns are present  (Niels)
			  - 2002-06-04:  Zones were not shown on the banner-zone.php page when no compatible campaign zones were available  (Niels)
			  - 2002-06-04:  Moved path detection behind include of config file to prevent warnings during upgrade  (Niels)
			  - 2002-06-04:  Fixed E_ALL errors in database upgrade script when no banners were present during the upgrade  (Niels)
			  - 2002-06-05:  Priority calculation wrongly counted impressions  (Niels, Matteo)
			  - 2002-06-05:  Stats converter didn't convert views/click made on 23:59:59 and/or 00:59:59  (Matteo)
			  - 2002-06-05:  Fixed banner reload when using Animated GIFs inside Netscape 4  (Niels)
			  - 2002-06-05:  Advertiser stats graphs were shown on campaign history pages  (Niels)
			  - 2002-06-07:  Fixed problems dealing with daylight saving time in stats converter and lib-priority  (Matteo)
			  - 2002-06-08:  {random} replacement didn't work with plain remote invocation and external banners  (Niels)
			  - 2002-06-08:  Auto increment columns are not temporary disabled to allow changing of primary keys during upgrade  (Niels)
			  - 2002-06-08:  Reworded some queries inside the all.sql file to prevent unneeded alter queries during upgrade  (Niels)
			  - 2002-06-14:  XML-RPC zone invocation code had a PHP parse error  (Matteo)
			  - 2002-06-19:  Fixed adclick problem with Flash banners  (Pawel Marzec)
			  - 2002-07-01:  Javascript: links were mistakenly converted by the automatic adclick tracker  (Niels)
			  - 2002-07-01:  Fixed another adclick problem with Flash banners  (Pawel Marzec)
			  - 2002-07-01:  Mailto: links were mistakenly converted by the automatic adclick tracker  (Niels)
			  - 2002-07-01:  URLs inside of <link> tags for external .css files were mistakenly converted by the automatic adclick tracker  (Niels)
			  - 2002-07-01:  URLs inside of <base> tags were mistakenly converted by the automatic adclick tracker  (Niels)
			  - 2002-07-03:  Fixed invalid regular expression in banner-edit.php on certain configurations  (Niels)
			  - 2002-07-04:  Fixed another two invalid regular expression in banner-edit.php on certain configurations  (Niels)
			  - 2002-07-04:  Upgrading from pre-priority configurations required a kickstart of the priority system  (Niels)
			  - 2002-07-04:  When using a domain display limitation the country suffix of domain only worked without a dot before it, now works with or without  (Niels)
			  - 2002-07-05:  url_prefix is now not present anymore in the cache, but added during delivery  (Niels)
			  - 2002-07-05:  Impressions were not logged when ignore_hosts was set to array('') instead of array()  (Wim Godden)
			  - 2002-07-05:  Fixed problem with writing empty array's to the config file during upgrading  (Niels)
			  - 2002-07-07:  Added a new message when upgrade is successfull  (Niels)
			  - 2002-07-07:  Message after a successfull install was flawed, because it said maintenance script needed to run every day  (Niels)
			  - 2002-07-07:  'No upgrade needed' message is now displayed directly  (Niels)
			  - 2002-07-08:  Selected language was not used in the second install screen  (Matteo)
			  - 2002-07-09:  Fixed error message on Advertisers & Campaigns and Publishers & Zones when expanding all items when no items were present  (Niels)
			  - 2002-07-13:  If status text contained quotes during cache rebuild they caused javascript errors during delivery  (Niels)
			  - 2002-07-14:  Fixed problem which allow users to log in as an advertiser  (Niels)
			  - 2002-07-15:  Fixed bug in the adpopup.php file which cause javascript errors in some cases  (Niels)
			  - 2002-07-17:  Admin username is now stored preserving upper and lower case  (Niels)
			  - 2002-07-17:	 After changing the username on the settings page, it will now be checked for duplicates in both the advertiser and publisher table  (Niels)
			  - 2002-07-17:	 The check for unique fields (like username) is now case-insensitive, so 'Name' and 'name' won't be allowed for two different users  (Niels)
			  - 2002-07-22:  Although the error string was present in translations, actually no checks were made on zone cache limit  (Matteo)
			  - 2002-07-23:	 Added missing phpAds_makeTimestamp() function to stats conversion routines  (Niels)
			  - 2002-07-23:  Fixed page identifier in stats-campaign-daily-hosts.php  (Matteo)
			  - 2002-07-23:	 On banner distribution page 'Other' was counted twice when calculating the total  (Niels)


v 2.0beta6.1		+ Minor speed improvements in view.inc.php  (Niels) 20011015
			+ Added support for URL banner variables during regular remote invocation  (Niels) 20011016

			+ Misc bugfixes
			  - Fixed pass by reference warnings in lib-ftp.inc.php  (Niels) 20011015
			  - HTML and URL banner variables should work correctly again  (Niels) 20011016
			  - Fixed exploit where users could excute arbitrary code on the server  (Niels) 20011016


v 2.0beta6		+ Added search capabilities  (Niels and Tobi Schulz)
			+ Added expiration details to campaign index  (Niels)
			+ Added the ablity to get the IP adress of users behind a proxy server  (Niels & Mesut Tunga)
			+ Added ability to specify a browser-status text for each banner  (Niels)
			+ Removed cURL and fopen-wrapper support for storing banners, added a 
			  ftp emulation library provided by TOMO <groove@spencernetwork.org>  (Niels)
			+ Added native support for flash banners, based on code of the 
			  phpAdsPlus project by Stefan aka. dandra  (Niels)
			+ Added a confirmation dialogbox, for deleting and resetting statistics (Helmut Wirth)
			+ Added welcome message to the client interface, which can be modified
                          to include personal contact information for example  (Niels)
			+ Add secondary tab bar to the navigation  (Niels)

			+ GUI
			  - Added list order variants (ID or alphabetic) for administration, statistics and zones of 
			    clients, campaigns and banners (Stefan) 20011010

			+ Zones
			  - Added support for zones  (Niels)
			  - Zones can be linked from the banner  (Niels) 20011007
			
			+ ACLs
			  The ACL routines have been rewritten. This is a very big change and possibly
			  a change from previous behavoir. It is needed to check existing ACLs after
			  upgrading!!! The changes include:
			  - Ability to select multiple weekdays per ACL  (Niels)
			  - Ability to select multiple hours per ACL  (Niels)
			  - Added new ACL for accept-language headers  (Niels)
			  - Added boolean operators to ACLs  (Niels)
			  - Changed IP check, it is now possible to use * instead of a mask  (Niels)
			  - Removed mini-help on the bottom of the page  (Niels) 20011007
			  - Renamed ACL to Display Limitations  (Niels) 20011007 

			+ Added P3P Privacy Policies support
			  - Sending Policy location using P3P header  (Niels)
			  - Sending Compact Policy using P3P header for cookie evaluation  (Niels)

			+ Mailed reports
			  - Added starting and end date to the reports  (Niels)
			  - Campaigns without stats now tell there are no stats available  (Niels)
			  - Fixed bug which prevented reports for new clients from being sent  (Niels)
			  - First report for new clients now includes all stats up to date  (Niels)
			  - Fixed bug which prevented stats from the last day to be included
			    and which caused problems with a one day interval  (Niels)
			  - Changed mail headers as a workaround for Win32 SMTP extension bug  (Niels)
			  - Added ability to force a report from being sent from the Admin interface  (Niels)
			  - Added charset header to all mailed reports  (Niels) 20011007

			+ HTML banners
			  - Automatic changing of HTML in order to log clicks can be disabled globally  (Niels)
			  - Automatic changing of HTML in order to log clicks can be disabled on a per banner basis  (Niels)
			  - The tag target='...' will be automatically replaced with the right target  (Niels)
			  - Added support for changing form HTML automatically  (Niels)
			  - Extra variables assigned to adclick.php are now passed through to target url  (Niels)
			  - Added {random} support to HTML banners
			  - Added ability to embed PHP scripts in HTML banners  (Niels)
			
			+ Invocationcode generator
			  - Added URL prefix and scrolling=no  to bannercode generator  (Niels)
			  - Added local path to phpadsnew.inc.php for local mode to bannercode generator  (Niels)

			+ Statistics
			  - Added client statistics  (Niels)
			  - Added general history statistics (Niels)
			  - Added history statistics for campaigns (Niels)
			  - Added ability to reset stats for a complete client  (Niels)
			  - Added ability to reset all stats  (Niels)

			+ Language files
			  - Added Norwegian language files  (Torbjørn Engedal)
			  - Added Swedish language files  (Patrik Grip-Jansson)
			  - Added Chinese language files  (Yen-Shuo Su)
			  - Added Turkish language files  (Mesut Tunga)
			  - Added Danish language files  (Lars Petersen)
			  - Added Indonesian language files  (Rachim Tamsjadi)
			  - Dropped support for Czech and Hungarian  (Niels)
	
			+ Misc changes
			  - Changed all occurances of <? to <?php  (Niels)
			  - Changed most " to ' in view.inc.php for minor speed improvement  (Niels)
			  - Changed default names of tables, added prefix to avoid conflicts with other products  (Niels)
			  - Changed the way JavaScript is generated for remote invocation with JavaScript  (Niels)
			  - Rearanged directory structure for the manual, to make room
			    for the german translation provided by René Friedrich  (Niels)
			  - Moved JS code from view.inc.php to adjs.php file  (Niels)
			  - Removed clients from stats-index.php for client interface, now only
			    shows a list of campaigns  (Niels)
			  - Added title-tag for <img> in view.inc.php for support of HTML4/XHTML1
			    gives on mouse over popup text in >IE5 and Mozilla 0.9/Netscape 6 (Stefan) 20011003
			  - fixed HTML problem with long names in $phpAds_name from config also sets searchbox and 
			    "Logout" in visible position on small browser windows (Stefan) 20011004
			  - Added meta tag to prevent searchengines from indexing the Admin interface  (Niels) 20011008
			  - The default weight for newly created campaigns and banners can now be
                            configured in the config file  (Niels) 20011009

			+ Misc bugfixes
			  - Fixed quote problem with banner-text, alt and description fields  (Niels)
			  - Fixed HTML layout problem with large description and/or alt-text  (Niels)
			  - Fixed error in client edit when client permissions were left empty (Thanks to Scott Delap)
			  - Fixed bug: if changing from MySQL stored banner to an empty HTML banner, 
			    raw image data would be present in HTML banner field.
			  - Fixed bug: unlimited clicks/views checkbox in campaign-edit were
			    deselected when jumping to clicks/views fields using TAB key (Matteo)
			  - Fixed missing </table> tag in stats-convert.php  (Helmut Wirth)
			  - Fixed date format in lib-reports.inc.php  (Helmut Wirth)
			  - Fixed background color in stats-convert.php  (Helmut Wirth)
			  - Error message when temp table can't be created  (Helmut Wirth)
			  - Fixed error message on client stats when no banners are available  (Niels)
			  - Removed PHP_SELF variables, which caused problems with CGI PHP  (Niels)		
			  - Fixed some errors in the documentation  (Niels) 20011009
			  - Edit Client now also takes the admin into account when 
                            checking for duplicate login name  (Niels) 20011012
  
			+ Security fixes
			  - Fixed login exploit where users could login without authentification  (Niels)
			  - Fixed upload exploit where users could download files from the server  (Niels)
			  - Fixed exploit where users could excute arbitrary code on the server  (Niels)



v 2.0beta5		+ Added override setting for automatic GD detection  (Niels)
			+ Added support for passing ISMAP click location  (Niels)
			+ Added banner invocation code generator  (Niels)
			+ Clients can now deactivate their own banners if permitted  (Niels thanks to Shannon Johnston)
			+ Clients can now activate their own banners if permitted  (Niels thanks to Shannon Johnston)
			+ Added cookie check for Admin interface login  (Niels)
			+ Added to ability to override the banner width and height 
 			  if the banner is stored in MySQL or on the webserver  (Niels)

			+ Changes to the database library
			  - Replaced mysql_db_query with mysql_query  (Niels)
			  - Always use the mysql link resource parameter  (Niels)
			  - Database will be closed when using non-persistant connections  (Niels)

			+ Clients / Campaigns
			  - Weight based sequential banner retrieval now also takes
			    campaign weight into account  (Niels)
			  - Campaign weight was not substracted when ACL failed  (Niels)
			  - Fixed clientid selection bug  (Niels)

			+ PHP3 support
			  - Replaced variable references for PHP3 support  (Niels)
			  - Removed array_pop function for PHP 3 support  (Niels)
			  - Changed {random} regexp for PHP 3 support  (Niels)
				
			+ Misc bugfixes for beta4
			  - Changed dhtml detection for Opera   (Niels)
			  - Fixed some HTML for better compatibility with Mozilla  (Niels)
			  - HTML banner preview popup fixed if banner is disabled  (Niels)
			  - Fixed JavaScript error in client-edit.php  (Niels)
			  - Function call-time pass-by-reference removed, 
			    will be deprecated in future versions of PHP  (Niels)
			  - Removed spaces after ?> in phpadsnew.inc.php (Thanks to Anonymous :-)
			  - Made standard CTR calculation respect decimal settings  (Niels)
			  - stats-index.php and stats-campaign now use standard CTR calculation  (Niels)
			  - Changed default decimal setting to 2  (Niels)
			  - Changed default email headers to include the admins full name  (Niels)
			  - Expiration date calculation fixed (Niels, thanks to Matt)
			  


v 2.0beta4		+ Updated GUI including a new logo  (Niels)
			+ Added support for campaigns  (Niels)
			+ New layout for detailed stats page  (Niels)
			+ Added banner selection by the width property  (Niels)
			+ Added wildcard recognition for ignored hosts  (Matteo)
			+ Added duplicate check for usernames  (Niels)

			+ Webserver stored banners
			  - Bugfixes for CURL and fopen wrappers storage  (Niels)
			  - Added CURL support for webserver stored banners  (Matteo)
			  - Added fopen wrapper support for webserver stored banners  (Matteo)
			  - Webserver stored banners are now deleted when
			    the banner, campaign or client is deleted  (Niels)

			+ Reports Plugins
			  - Added campaign overview report plugin  (Niels)
			  - Added campaign history report plugin  (Niels)
			  - Added support for report plugins  (Niels)

			+ Banner invocation
			  - Added support for iframes  (Niels)
		 	  - Added support for rotating banners in an iframe  (Niels)
			  - Renamed phpads.php, remotehtmlview.php and click.php to
			    adview.php, adjs.php and adclick.php. The old files are still
			    available for backwards-compatibility  (Niels)
			  - Merged click.php and htmlclick.php in one file  (Niels)
			  - Merged viewbanner.php and phpads.php in one file  (Niels)
			  - HTML banners are automatically disabled for remote invocation  (Niels)

			+ Automatic maintenance / mailed reports
			  - Replaced mail.php with maintenance.php  (Niels)
			  - Changed formatting of mailed reports  (Niels)
			  - Mailed reports can be turned on/off through the admin interface  (Niels)
			  - Interval of mailed reports can be configured through the admin interface  (Niels)
			  - Mailed reports now remember the last date they were sent, so 
			    duplicate reports won't be sent  (Niels)
			  - Expiration warning reports can now be translated  (Niels)
			  - Expiration reports can be turned on/off through the admin interface  (Niels)
			  - Expiration report formatting changed  (Niels)
			  - Expiration during banner invocation now also sents an report email  (Niels)
			  - Expiration criteria during banner invocation changed  (Niels)
			
			+ HTML banners variables
			  - Added support for {targeturl:...}  (Niels)
			  - Added support for {referer}  (Niels)

			+ Language files
			  - Updated Italian language files  (Matteo)
			  - Added Romanian language files  (Tudor Barbarosie)
			  - Updated German language files  (René Friedrich)
			  - Updated Russian language files  (Michael Bravo)
			  - Updated Dutch language files  (Niels)
			
			+ Misc bugfixes
			  - Expiration date calculation rewritten  (Niels)
                          - Hostname logging works again when $phpAds_reverse_lookup 
			    is not set and server provides hostname  (Matteo) 
			  - GD detection should work again for PHP3  (Niels)
			
			+ Misc bugfixes for beta3
			  - Default banner type was always selected even if editing a banner (Matteo)
			  - Client language settings are now checked if it is empty  (Niels)
			  - Source parameter works again with remote invocation  (Alain Fontaine)
			  - {targeturl} was urlencoded  (Niels)
			  - Context parameter works again  (Martin Klerx) 
			  - Stats conversion should work again  (Niels)
			  - Client language settings case problem fixed  (Niels)


v 2.0beta3		+ Added support for Flash variables (Niels)
			+ Added support for timestamp variable (Niels)
			+ Added support for single quotes in HTML banners (Niels)
			+ ACL checking can be disabled in the configuration file (Niels)
			+ Updated Italian language files (Luca Pescatore)
			+ Misc bugfixes for beta2 
			  - sequential banner retrieval works again (Niels)
			  - stripslashes added for HTML banners (Niels)
			  - Misc. E_ALL warnings fixed (Niels)
			  - Charset for russian-cp1251 language files fixed (Niels)
			  - Default banner with remote invocation fixed
			  - JavaScript error when certain banner types were disabled (Niels)
			  - Check for empty username/password (Niels)
			  - MySQL banner was always shown even if disabled (Niels)

v 2.0beta2		+ Added support for banners stored on the webserver (Niels)
			+ Added client weight (Niels)
			+ Added activation and expiration date (Niels)
			+ Added conversion tool for verbose->compact statistics (Niels)
			+ Added mailed reports in client language (Niels)
			+ Bugfix: Fixed E_ALL warnings (Niels, thanks to Vivian Girel)
			+ Bugfix: Quotes are now allowed in HTML banners (Niels)
			+ Bugfix: Empty strings in mail.php fixed (Niels)
			+ Bugfix: Deactivation bug fixed in mail.php (Niels)
			+ Misc bugfixes for beta1

v 2.0beta1		+ Added a new User Interface (Niels)
			+ Added new documentation (Niels)
			+ Added cache buster support for banners refered through URL (Niels)
			+ Added configurable default banner to display when an error occurs or when 
			  there are no banners to display at all (Niels)
			+ Added global weekly stats (Niels)
			+ Additional translations (Niels, thanks to Hugo Gomez, Michael Bravo, Alain Fontaine and others)
			+ Moved client settings error messages to language files (Niels thanks to regiepub)
			+ Client preferences can be disabled by the admin (Niels)
			+ Clients can select their own language, if permitted by the admin (Niels)
			+ Complete new authorisation library, including client permissions (Niels)
			+ Added an html header and footer (Cedric)
			+ Added the preferences for client (Cedric)
			+ Added two extra banner retrieval methods (Niels)
			+ Added the no stats for this banner message in the client stats (Cedric)
			+ Translate No expiration date set also (Cedric)
			+ Bugfix: Ignore_hosts now works on both names and adresses (Niels)
			+ Bugfix: empty what argument now works correctly agin (Niels)
			+ Bugfix: made some database queries atomic in order to make logging more stable (Niels)
			+ Bugfix: deactivating banners when AdView limit is reached now works again (Niels)
			+ Bugfix: global not set in weeklystats (Cedric)
			+ Bugfix: repeat the %CTR in weeklystats view (average/total) (Cedric)
			+ Bugfix: ClientDelete didn't delete banners and stats (Cedric)
			+ Bugfix: Home wasn't translated in the client view (Cedric)
			+ Bugfix: weekly stats didn't work correctly with multiple banners client (Cedric thanks to Niels)
			+ Bugfix: removed "Reset Statistics" button from the client interface (Niels)




v 1.9.2 - 08/03/2001	+ Removed config2.inc.php (Phil)
			+ Bugfix: removed hourly graph for compact statistics (Niels)
			+ Bugfix: client statistics is working again, no more SQL errors (Niels)
			+ Bugfix: improved detection of GD availability for PHP4 (Niels)
			+ Bugfix: removed GD dependancy for weekly stats, no more broken image (Niels)
			+ Bugfix: removed PHP4 dependancy for Remove invocation with Javascript (Niels)
			+ Bugfix: implemented workaround for IE bug in the admin pages (Niels)
			+ Bugfix: sequential banner retrieval did not work (Niels)
			+ Bugfix: target was not recognized (Niels)
			+ Bugfix: client ID, was reset to 0 (Niels)
			+ Bugfix: Detailed statistics were empty after adding an ACL to a banner (Niels)
			+ Bugfix: SQL error after resetting statistics (Niels, Phil)
			+ Bugfix: bad include path (Phil)
			+ Bugfix: mail.php disable wrong clients (Cedric)
			+ Translate french version (Cedric)

v 1.9.1 - 02/03/2001    + BugFix: typo in dailystats.inc.php (Phil)
			+ Bugfix: "when" is a reserved word in mysql?  Who knew?  (Phil)
			+ Fix for PHP3 compatibility in expiration.inc.php (Phil, others)

v 1.9.0 - 01/03/2001    + Several bugfixes (Phil)
                        + Changed banneradd.php layout for IE ONLY (with javascript and <DIV>s) (Phil)
                        + Added db_query() function to assist debugging mysql errors
                        + Added description field in the database for future use (Phil)
                        + Fixed some language text bugs
                        + Added/corrected some ACL help text (Phil)
                        + Fixed ACL DOMAIN FILTER bug (Phil, others)
                        + Added ACL "*" feature for default DENY (Phil)
                        + Added persistent connections OPTION (Phil)
                        + Fixed gd.php to determine graphics capabilities for php 4.04 (Niels Leenheer)
                        + Div by zero error in expiration.inc.php (Phil)
                        + New compact statistics database format (Phil)
                        + Multipart "what" syntax for view() function (Niels Leenheer)
                        + German/Dutch/Flemish language file fixes (silicon, Niels)
                        + Bugfix: Javascript remotehtmlview bugs with newlines, squotes, etc. (Phil)
                        + Added view_raw() function (Niels)
                        + Rewrote weighting system for efficiency (Phil)

v 1.8.1 - 01/02/2001	+ Added Login as a string (Fabian Rodriguez and me)
			+ Bugfix: parse error in mail.php (me)
			+ Bugfix: division by 0 in stats.inc.php (Phil)
			+ All language files now have a seperate directory (me)
			+ Added customizable colours to config.inc.php (me)
			+ Update color schemes in weeklystats.html.php (me)
			+ Increased mail.php speed (Martin Braun)
			+ Small change to Documentation.html explaining problems with login (me)
			+ Bugfix: banners no longer deactivated from mail.php when not needed (Martin Braun)
			+ Bugfix: several fixes in expiration and weeklystats (Martin Braun)
			+ Updated banner acl screen (Martin Braun)
			+ Added language files with help for banner acl (Martin Braun)
			+ New lines are automatically removed from html code in remotehtmlview.php (me)
			+ Bugfix: creditstats now shows html banners correctly (me)

v 1.8.0 - 06/01/2001	+ Added expiration stats on credit stats and client stats (Martin Braun)
                        + Added weekly stats - needs serious optimizing (Martin Braun)
                        + Added anti-cache feature (Martin Braun)
			+ All files have new indents to make viewing and developing easier. Read DEVELOPERS for more info.
			+ sphourly.php changed to reflect changes in weeklystats (Martin Braun)
			+ Updated documentation.html with explanation about remotehtmlview (me)
			+ Bugfix: kcsm.php had 2 quotes missing and 1 too many (me)
			+ Bugfix: client.php now has client-side JavaScript to detect bad entries in views/clicks/daysleft (me)
			+ Bugfix: mail.php doesn't deactive clients anymore (sypplie)
			+ Bugfix: Authentication required for detailstats now. (me)
			+ Bugfix: forgot banner in creditstats.php. HTML-banners will show now. (me)
                        + Bugfix: several smaller bugs fixed.

v 1.7.1 - 18/12/2000    + Bugfix: login box only appears once now

v 1.7.0 - 17/12/2000    + Fixed a problem for Windows users with banneradd.php
                        + GIF/PNG support automatically detected (first contribution of Phil)
                        + Clients now have logout function
                        + When logging in, user is first logged out
                        + Added remote HTML banners through JavaScript
                        + Credit Statistics now sorted by letter. 1 screen per letter.
                        + Bugfix: Previous is now shown in the creditstats screen
                        + Bugfix: images without links patch applied (thanks wesku)
                        + Bugfix: fixed a problem with creditstats showing wrong number of clicks
                        + Bugfix: clients can get expire date again
                        + Bugfix: typo in admin.php
                        + Bugfix: several bugs have been fixed

v 1.6.3 - 11/30/2000    + Bugfix: banners no longer set to inactive at wrong moments

v 1.6.2 - 11/28/2000    + Added 'Reset Statistics' for banners
                        + Added Dutch/Flemish language file
                        + Bugfix: some minor bugs

v 1.6.1 - 11/26/2000    + Updated all language files to include new variables (untranslated)
                        + Replaced some English expressions by variables

v 1.6.0 - 11/25/2000    + Added client listing with credit stats (experimental)
                        + Added time ACL (experimental)
                        + Logging of HTMl banner clicks (experimental)
                        + Added admin and client directories again
                        + Updated German translation errors (Ralf Eggert)
                        + Bugfix: phpAds should work under PHP 3.0.7
                        + Bugfix: banner with 0 impressions left no longer shown
                        + Added extra statistics
                        + Setting unlimited number of views/clicks/days is now possible
                        + Bugfix: banner no longer deactivated at wrong times
                        + Bugfix: banner count decreases correctly
                        + Fixed several typos in the comments
                        + Added Russian language file
                        + Bugfix: added 2 files to acls table

v 1.5.1 - 11/19/2000    + Bugfix: admin.php had an error when no adviews had been logged

v 1.5.0 - 11/18/2000    + Stats now generate a PNG-image instead of GIF-image (GD doesn't support GIF anymore)
                        + Rewrote weighting system
                        + Bugfix: Domain ACL works fine now
                        + Bugfix: Source ACL works fine now
                        + Bugfix: Empty banner problem fixed
                        + Added logout link for increased security and client testing
                        + Default weight set to 1
                        + Bugfix: works fine under PHP 4.0.3 (earlier versions not tested)
                        + Bugfix: cookie problem fixed
                        + Added average Click-Through Ratio for all ads
                        + Some cosmetic changes

v 1.4.10 - 09/17/2000   + Bugfix: Error shown in some odd cases
                        + Documentation updates

v 1.4.9 - 09/14/2000    + First version of phpAdsNew, starting from phpAds 1.4.0.
                        + Added support for multiple keywords
                        + Added support for conditional keywords
                        + Added support for sequential banner retrieval
                        + Added page frame targeting
                        + Added banner decrementing and low views/clicks warning e-mail
                        + Added banner weighing
                        + Added domain ACL
                        + Added source ACL




v 1.4.0 - 05/01/2000    + Bugfix: Clients were able to look at other clients'
                          statistics.
                        + Bugfix: HTML banners weren't counted properly.
                        + Bugfix: link targets didn't work with HTML banners.
                        + Bugfix: there might have been problems with some
                          statistics if no hits were recorded for a certain 
                          hour.        
                        + Added support for Access Control Lists:
                          IP matching, User Agent matching, restricting banners
                          to certain week days.
                        + Added support for date-expiring banners.
                        + Fixed bugs in remote invocation and admin.
                        + Added support for INSERT DELAYED in logging.
                        + Bugfix: Cookies weren't set correctly on Windows.
                        + Added support for multiple remote banners.
                        + Bugfix: Stats were sent to deactivated customers.

v 1.3.0 - 12/12/1999    + Added the possibility to exclude hosts from logging.
                        + Made view() return the bannerID.
                        + Killed a lot of warnings.
                        + Added a new argument, context, to view(), allowing
                          to exclude banners from the search or limit the
                          search to specified banners.
                        + Added better daily statistics.
                        + Added warning before deleting a client.
                        + Added graphical statistics showing overall hourly
                          average.
                        + Added the possibility to turn off reverse DNS
                          lookups.
                        + Fixed some problems with clients' login.

v 1.2.0 - 09/26/1999    + Miscellaneous bugfixes.
                        + Changed the display of the ratio to use percents.
                        + Added the possibility to use multiple keywords in 
                          view().
                        + Made table names configurable.
                        + Better and graphically nicer statistics.

v 1.1.0 - 08/22/1999    + Changed phpAds to have all files in a single directory,
                          thus avoiding the need of altering PHP's include_path.
                        + Bugfix: mail.php3 messed up the statistics if more than
                          one client existed.
                        + Added support for banners stored on an another server
                          (ie. referenced by URL).
                        + Bugfix: Administration could mess up things when using
                          remote invocation.

v 1.0.0 - 07/25/1999    + Added support for a line of text appearing below banners.
                        + Added support for keywords/banner groups.
                        + Added support to select banners belonging to a specific
                          client.
                        + Cleaned up user interface.
                        + Bugfix: Content-Type was set to image/jpg instead of
                          image/jpeg.
                        + Bugfix: Some fixes related to PHP4.
                        + Bugfix: Clients with the same username as the admin
                          were able to login to /admin even if the password was
                          different.
                        + Better documentation.

v 0.9.4 - 03/18/1999    + Addded the possibility to modify existing banners.
                        + Bugfix: Content-type wasn't correct when sending GIF
                          or PNG-banners.
                        + Changed the method how banners are displayed slightly.
                          It's no longer necessary to have include_path set in the
                          directory where the HTML files reside.
                        + Bugfix: Changed the way old sessions are purged a bit as
                          it didn't work correctly.
                        + Addded support for link targets to the view() function.  
                        + Added support for remote invocation via <img>- and
                          <iframe>-tags.
                        + Added preliminary support for fail-safe banners.

v 0.9.3 - 03/10/1999    + Changed mt_rand() to rand() in kcms.php3 for better
                          downward-compatiblity.
                        + Changed the way the session data is retrieved from the
                          database for better compatibility with MySQL. 3.21.x.
                        + Bugfix: viewbanner.php3 had a stripslashes where it 
                          wasn't needed.
                        + Improved navigation.
                        + Some changes to the file layout.
                        + Bugfix: When only one banner was matched by the criteria
                          specified by view(), a warning was displayed.
                        + Outsourced the view() function to a separate file
                          ("view.inc.php3") to avoid global namespace pollution.

v 0.9.2 - 03/06/1999    + Bugfix: The remote hostname wasn't showed correctly in
                          the daily statistics.
                        + Added more tweaks to the INSTALL file.
                        + Some minor improvements and bugfixes.

v 0.9.1 - 03/02/1999    + Bugfix: adding a banner didn't work correctly when no
                          banner was in the inventory.
                        + Bugfix: The whole stuff didn't work with files outside
                          the phpAds-tree. Corrected.
                        + Added this ChangeLog.

v 0.9.0 - 03/01/1999    + Inital beta release
